Ubuntu

8086:4238 Intel Centrino Ultimate-N 6300 poor networking, packet loss and very slow Lenovo X201 and T500 laptops

Reported by Dave Russell on 2011-08-28
This bug affects 206 people
Affects Status Importance Assigned to Milestone
Linux
New
Undecided
Unassigned
linux (Ubuntu)
High
Unassigned
Oneiric
High
Unassigned
Precise
High
Unassigned

Bug Description

This may be either network-manager or kernel, depending on triage...

I have verified this on both a Lenovo X201 and a Lenovo T500 laptop.

Both work perfectly with fully updated 10.10 and 11.04 versions of Ubuntu.

However, booting into a fully updated 11.10 (as of 28/08/11) I get very poor wireless networking performance. Between 6-10% packet loss, very very slow connection and transfer rate. All in all, practically unusable.

I have reported the bug on the X201 laptop, I will add the similar logs from the T500 also if required.

As soon as I swap back to either 10.10 or 11.04 I get perfect wireless, it's only on 11.10 that I get problems, this would suggest it's not hardware or configuration on my side.

I have had this since first installing 11.10 which was a little after Alpha 2.

Wired connection is fine.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: network-manager 0.9.0-0ubuntu1
ProcVersionSignature: Ubuntu 3.0.0-9.14-generic 3.0.3
Uname: Linux 3.0.0-9-generic x86_64
Architecture: amd64
CRDA: Error: [Errno 2] No such file or directory
Date: Sun Aug 28 21:26:05 2011
EcryptfsInUse: Yes
Gconf:

IfupdownConfig:
 auto lo
 iface lo inet loopback
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110803.1)
IpRoute:
 default via 192.168.100.1 dev eth0 proto static
 192.168.100.0/24 dev eth0 proto kernel scope link src 192.168.100.41
Keyfiles: Error: [Errno 2] No such file or directory
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: network-manager
UpgradeStatus: No upgrade log present (probably fresh install)

Dave Russell (drussell) wrote :
Changed in network-manager (Ubuntu):
status: New → Confirmed
Mario Verbelen (mario-verbelen) wrote :

I'm Having a Dell XT2
previus ubuntu and other linux's no problem
oneiric ... very slow networking

very slow wifi and very slow ehternet

via wifi I have a download lower than 1k
via ethernet I can have a download of 2k

u2date oneiric of today (6sept)
Linux xt2 3.0.0-10-generic-pae #16-Ubuntu SMP Fri Sep 2 20:09:42 UTC 2011 i686 i686 i386 GNU/Linux

Ethernet controller: Intel Corporation 82567LM Gigabit Network Connection
Network controller: Intel Corporation WiFi Link 5100

lspci ...
00:00.0 Host bridge: Intel Corporation Mobile 4 Series Chipset Memory Controller Hub (rev 07)
00:02.0 VGA compatible controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:02.1 Display controller: Intel Corporation Mobile 4 Series Chipset Integrated Graphics Controller (rev 07)
00:19.0 Ethernet controller: Intel Corporation 82567LM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #5 (rev 03)
00:1a.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #6 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 2 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801I (ICH9 Family) PCI Express Port 4 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801I (ICH9 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801I (ICH9 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev 93)
00:1f.0 ISA bridge: Intel Corporation ICH9M-E LPC Interface Controller (rev 03)
00:1f.2 RAID bus controller: Intel Corporation Mobile 82801 SATA RAID Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801I (ICH9 Family) SMBus Controller (rev 03)
02:01.0 CardBus bridge: Texas Instruments PCIxx12 Cardbus Controller
02:01.1 FireWire (IEEE 1394): Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller
02:01.3 SD Host controller: Texas Instruments PCIxx12 SDA Standard Compliant SD Host Controller
0c:00.0 Network controller: Intel Corporation WiFi Link 5100

Matthieu (m-cramet) wrote :

Same problem than drussel here. I have a Thinkpad X201S.

Changed in linux (Ubuntu):
status: New → Confirmed
importance: Undecided → High
Changed in network-manager (Ubuntu):
importance: Undecided → High
Dustin Kirkland  (kirkland) wrote :

I've have the same problem on an x201, but only when I'm connected over wireless-n, not b or g which work fine.

Dave Russell (drussell) wrote :

Dustin - good catch... I can confirm it's only wireless-n connections that expose the problem. Just tried connecting to phone hotspot and that works fine.

Changed in linux (Ubuntu Oneiric):
assignee: nobody → Tim Gardner (timg-tpi)
Martin Pool (mbp) wrote :

bug 833479 might be a dupe? I also have an x201 and am seeing intermittently very bad network performance, but there it's affecting both wlan0 and the onboard e1000e.

tags: added: rls-mgr-o-tracking

It's unclear that this is caused by network-manager yet, seeing as it's device-specific (or at least system-specific, since I'm getting very decent speeds here on a Dell system). Anyway, I'll take care of the network-manager task if something needs to be done (I'll still try to reproduce and debug at the NM level).

Changed in network-manager (Ubuntu Oneiric):
assignee: nobody → Mathieu Trudel-Lapierre (mathieu-tl)
arsenix (arsenix) wrote :

   I am also experiencing this issue after upgrade to oneiric. Machine is HP Elitebook 8540w. Wired ethernet (Intel Corporation 82577LM Gigabit Network Connection) seems to perform fine. Wifi card is Centrino Ultimate-N 6300. As reported by others it affects only 802.11N connections... not G.

James

Alex Chiang (achiang) wrote :

Turned on NM debugging as per: http://live.gnome.org/NetworkManager/Debugging

Environment is 802.11 b+g+n on my router with bssid 'pinga'.

Attempted an rsync, and experienced symptoms in this bug.

Attaching partial /var/log/syslog. Seems like there are a lot of rescans, not sure if this is normal.

 Let me know if there are other logs I can attach or other debug output you'd like.

DJ (dhananjaj) wrote :

Hi All,

I'm having this issue on a Lenovo T510.

hardware is a Centrino Ultimate N 6300.

also did you guys upgrade or fresh install? I did an upgrade. if you want all the logs I can get it later, i'm booted into W7 cause Ubuntu is unusable.

thanks,
DJ

Are any of these issues directly related to having both wired and wireless connected at the same time? Because then this would not be device-specific, and is in fact an issue with libnl.

Alex Chiang (achiang) wrote :

In my reproduction case, I do not have wired ethernet connected.

DJ (dhananjaj) wrote :

same with me.

I was not able to connect at all in N-only mode, in N/G mixed mode i can connect but unusably slow. What shocks me is that if this is an issue with iwlagn or network manager shouldn't this be effecting more people?

what could have changed in the parts specific to the Centrino Ultimate N from 11.04 to 11.10?

do any of you guys have any work-a-rounds that make the system usable? have you tried a fresh install?

cheers,

Changed in network-manager (Ubuntu Oneiric):
milestone: none → oneiric-updates
Changed in linux (Ubuntu Oneiric):
milestone: none → oneiric-updates
DJ (dhananjaj) wrote :

does this mean i can ubuntu update to get these changes? or do i need to get it from a special ppa? thanks

Mark Baker (distobj) wrote :

FWIW, I just finished installing beta2 this evening on my Dell Studio XPS 16 with an Intel Wifi Link 5100, and immediately noticed this problem. I have no wired connection, and have tried each of B/G/N-only on my router and observed no change in performance.

Philip Muškovac (yofel) wrote :

Some data from me:

Sitting around 3m away from the router I get:
Wifi quality: 150Mbps, 89%
--- google.com ping statistics ---
1035 packets transmitted, 1035 received, 0% packet loss, time 1039286ms
rtt min/avg/max/mdev = 22.178/33.084/1276.174/59.218 ms, pipe 2

System:
Thinkpad T510 on Kubuntu oneiric
03:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)
Linux yofel-T510 3.0.0-12-generic #19-Ubuntu SMP Fri Sep 23 21:23:39 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux
WIFI SSID: W920V

So I can't really complain about my N performance and can't say I've ever noticed this during oneiric.

Guevara (dekeyserkarel) wrote :

Don't know if it is the same, but I can't connect to my wireless network from a Dell Studio 1749. It seems like my networkcard starts to rescan before it even can't connect.

Everything was working well on 11.04 and shortly after an update to 11.10beta. Troubles began with updating about a week ago.

Changed in linux (Ubuntu Precise):
status: New → Confirmed
Changed in network-manager (Ubuntu Precise):
status: New → Confirmed
importance: Undecided → High
Changed in linux (Ubuntu Precise):
importance: Undecided → High
tags: added: rls-mgr-p-tracking
removed: rls-mgr-o-tracking
Boris Rybalkin (ribalkin) wrote :
Download full text (4.7 KiB)

Wifi is very slow, but ethernet is OK.

Upload:
wifi: ~30 KiB/s
ethernet: ~400 KiB/s

Tried Kubuntu 10.04 Live CD - wifi speed is good.

I am ready to do any testing as this is my wife's laptop and she wants to switch back to slow Vista :)

$ lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 0c)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.5 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 6 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation G86 [GeForce 8400M GS] (rev a1)
02:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)
08:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8101E/RTL8102E PCI Express Fast Ethernet controller (rev 01)
09:09.0 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 05)
09:09.1 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 22)
09:09.2 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 12)
09:09.3 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 12)

$ uname -a
Linux nata 3.0.0-12-generic #19-Ubuntu SMP Fri Sep 23 21:23:39 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

syslog:
Oct 6 21:23:58 nata NetworkManager[1096]: <info> (eth0): carrier now OFF (device state 100, deferring action for 4 seconds)
Oct 6 21:24:03 nata NetworkManager[1096]: <info> (eth0): device state change: activated -> unavailable (reason 'carrier-changed') [100 20 40]
Oct 6 21:24:03 nata NetworkManager[1096]: <info> (eth0): deactivating device (reason 'carrier-changed') [40]
Oct 6 21:24:03 nata NetworkManager[1096]: <info> (eth0): canceled DHCP transaction, DHCP client pid 7928
Oct 6 21:24:03 nata avahi-daemon[1085]: Wit...

Read more...

Guevara (dekeyserkarel) wrote :

My problem got fixed by updating...

arsenix (arsenix) wrote :

Problem still exists for me after latest update. Still very slow on 802.11N connection, normal on 802.11G/B. I have two access points on same network so I can easily test back to back.

Nebula (yanick-delarbre) wrote :

I have this problem too.

My network controler is: Ultimate-n 6300

Desactiving 802.11N on router solves the problem.

Franz (franzbischoff) wrote :

Same problem here:

Laptop ASUS z53sv, with wi-fi module iwl4965, Ubuntu 11.10 (worked fine ultil ubuntu 11.04)

Wifi very slow with router at 802.11B/N. When disabled 802.11B/N and force only 802.11B, wireless came back to normal.

tags: added: regression-release
Alex Cabal (acabal) wrote :

I have this problem after upgrading to Oneiric with an Intel Advanced-N 6200 wifi card. I seem to have temporarily fixed the problem by adding this line to /etc/modprobe.d/intel-6200.conf:

options iwlagn 11n_disable=1

David Small (dasmall) wrote :

I have an Intel 5300 in my laptop and was also facing the problems with N, it was actually locking up my router within a few seconds of connecting. 15 minutes now after applying Alex's temporary fix all seems well.

Richard Widerberg (rwiderberg) wrote :

I have a lenovo thinkpad e320 with Intel Centrino Wireless-N 1000 card with the same problem running Oneiric. Can anyone tell me how to disable wireless N with my card? There is no conf file for it in my modprobe.d folder.

asampal (nmanole) wrote :

I'm also seeing very slow speeds with Wireless-N using an Intel Advanced-N 6205 adapter, after updating to Oneiric (did the update about a week ago, before the final came out). Have applied all updates. Tried to create the file Alex mentioned above, but it didn't seem to improve things.

I'm getting about 20 Mbps from my ThinkPad running Windows 7 and just under 4 Mbps with Oneiric from my Dell Latitude e6420, connected to the same router.

asampal (nmanole) wrote :

Just re-booted and I'm getting somewhat better speeds with now - not sure if the "networking restart" that that I had tried before actually restarted networking, since there was a message about that method being deprecated, but maybe the conf file does disable N for this adapter (wasn't sure what to call the file, but I guess the 6205 is in the 6200 family).

Reagan (reagz) wrote :

On a Dell Studio and just upgraded from Ubuntu 11.04 to 11.10...

Had perfect, strong wi-fi connection with 11.04 at a moderate distance from router...

On upgrade to 11.10, connection strength shows as very weak at same distance from router and keeps disconnecting automatically every few minutes... Impossible to work...

manuel fernandez (mfg) wrote :

same problem here with dell latitude 6410, intel centrino ultimate N6300

manuel fernandez (mfg) wrote :

Solved it following a mimic of alex solution (#23)
added archive
/etc/modeprobe.d/intel-6300.config

with line
options iwlagn 11n_disable=1

Rich R (rich-randall) wrote :

I'm getting this too. Intel Centrino Wireless-N 1000 on a Lenovo E420s.
Was fine under Natty. Frustratingly slow connection under Oneiric.
I can't easily get access to the router. Is there a corresponding work-around for this card?

tuximero (tuximero) wrote :

Very slow wireless-n connection here too. Connection speed down to 1 MBit/s.
lenovo ThinkPad T410 running Kubuntu 11.10 Oneiric.
Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)

Wim (wim-prevoo) wrote :

Same here, wireless very slow, running on a lenovo ThinkPad T410. Wired connection is ok.
Workaround: disable 11n (sudo modprobe iwlagn 11n_disable=1) in /etc/modprobe.d/options.conf

Also on a T410. When using n connections, my router (Speedport 504V, Type A) gets so confused that after some seconds, the T410's and all other connections are cancelled and the router takes some minutes to regain composure. Deactivating n, everything works well.

Julie (januaryj) wrote :

I'm not sure if I have the same problem, but I think so. I have a Packard Bell Ml61, and after upgrading to Oneiric I have trouble with the wireless. I can connect, but it takes ages and I have to keep typing in the password (it's set as automatic connection). When I'm finally connected, the internet is good, but when I turn off the computer or reboot, the problem keeps occurring. No problems with the wireless on my Dell Latitude D620 (Natty) or my old iPod Touch.

rkrizan (ryankrizan) wrote :

I had this issue on 2 laptops, both with Intel cards. One was an Intel WiFi Link 5100, the other was an Intel Pro 4965AGN

Doug Bates (coloneldare) wrote :

Me too! With my Acer AspireOne/Intel Centrino Wireless-N 1000 card. Acer works fine on 11.04 (which I have had to fall back to.)
11.10 works with ethernet (c. 800KiB/s) but 0 - ten's or hundreds of B/s (not KiB) so totally unusable, tho some connectivity.
11.10 works fine on my Broadcom based laptop, but not Intel based Acer
Love 11.10 otherwise so can someone fix it please? Thanks.

G. Tasseron (tasseron) wrote :

I have the same problem with my HP Elitebook 8540w, Centrino Intel-N 7300.
However I notice something else as well, that has to do with this matter. The notebook has a button with which you can enable/disable wireless, the light on the button will then change from blue(enabled) to orange(disabled).
With 11.10 when wireless is enabled, the button flashes irregular but fast (more than once a second) and a lot of packet loss (till 30%).
A similar solution as the one of manuel fernandez #30 fixed the issue with packet loss and slow internet. However... the light still flashes on and off, while it was constant blue(enabled) in 11.04.

Matthieu (m-cramet) wrote :

Is someone working on this bug? It's a pretty common one shared by quite a number of people over ubuntu forums. Appart from status updates, their has been no input from any dev.

Is their a mailing list where we can follow any news relative to this issue?

Xyliosist (xyliosist) wrote :

I'm having the same problem. Working on TravelMate 5720, previously on Kubuntu 11.04 worked fine, now on 11.10 I'm having like 40-80% packet loss.
lspci:
Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)

Lenovo T400, Intel 6100

poor wlan-performance and the networksmanager loose the connection within minutes and ask again the network-password.

Damon (annedamon) wrote :

I noticed the same problem (can't connect to the wireless network after upgrading from 11.04 to 11.10) on Lenovo ThinkPad T500.

lspci:
Intel Corporation PRO/Wireless 5100 AGN [Shiloh]

The work around disabling n also worked for me:
sudo rmmod iwlagn
sudo echo "options iwlagn 11n_disable=1" > /etc/modprobe.d/disable11n.conf
sudo modprobe iwlagn

Joseph Salisbury (jsalisbury) wrote :

@Dave Russell and/or others affected by this bug

Do you have the option to boot back into a natty kernel and confirm it's not an issue?

Joe Eichholz (bx09-joe) wrote :

@Joseph Salisbury

I have booted back in to my previous kernel (2.6.39), and still had the problem described in this bug report.

Joseph Salisbury (jsalisbury) wrote :

Interesting. The original bug reporter stated:

"Both work perfectly with fully updated 10.10 and 11.04 versions of Ubuntu."

Are there are folks that can test prior versions of the kernel to see when this issue was introduced?

On 18/10/11 17:55, Joseph Salisbury wrote:
> Are there are folks that can test prior versions of the kernel to see
> when this issue was introduced?
Having followed Alpha 2 -> Release 11.10 via upgrades, and still having
problems, I did a complete 11.10 install but probs still there.
So I re-installed 11.04 & it worked fine (on USB 'live' 1st, then full
re-install of 11.04). Sorry i'm not smart enough (yet) to just swap the
kernel to retro version, but I'l try if someone explains....

Doug (Acer AspireOne netbook/ Centrino Wireless-N 1000)

@Joseph Salisbury

I just booted in to my previous kerne againl, and wireless did in fact work.
It looks like my previous assertion was wrong, or that this bug only manifests
itself in the previous kernel when connecting to certain routers (I am at work now).

Sorry for the confusion!

rkrizan (ryankrizan) wrote :

Here's the problem with using previous kernels. I tried several things immediately after installing 11.10. I tried the latest upstream kernel, 3.0.6 (at the time), and I also tried the latest developmental build with 3.1-RC9, both kernels had the same issue. However, both kernels did NOT have this issue when used under 11.04. In other words, laptop using 3.0.6 with 11.04, no issue. Same laptop with 11.10 with 3.0.6, had an issue.

So, that being said, after installing 11.10, I installed the latest proven-working NATTY kernel (I believe it was 2.6.38-8) and the issue was still there.

11.04 with 3.0.6 = OK
11.04 with 3.1-RC9 = OK
11.04 with 2.6.38.8 = OK

However;

11.10 with 3.0.6 = BAD
11.10 with 3.1-RC9 = BAD
11.10 with 2.6.38-8 = BAD
UNLESS 11n_disable=1, then all is good.

I'm starting to think this is more a driver issue, than a kernel issue. I realize that 3.0.7 has been released, but I haven't tested that kernel yet.

C M (meierbac-x) wrote :

I have experienced these same problems when running 11.10 on a Lenovo ThinkPad X220 and Intel n-1000 card. However, applying Damon's fix (#42) resolves this issue. Thanks Damon!

Sean Harris (seanharris1991) wrote :

Try turning the power managment for the wireless card off but using this command "sudo iwconfig wlan0 power off"

this worked for me

cheers

betzi (s-betzinger-t) wrote :

Same issue here with a Thinkpad X200s and built in Intel 5300 agn on 11.10 with 3.0.0.12-generic kernel.
After disabling n-draft, networkbitrate in iwconfig changed to 54mbit (802.11g) but it is still very slow (Internet, browsing smb)
The same under normal n-draft conditions.
Sometimes if i boot up nearby the router i get speeds of 3-4mb/s, under 10.04 i had 5-7mb/s (like in other OS). While writing speed is 270kb/s.
Nevertheless the responsetime of networkactivity is very slow all the time.

Dave Russell (drussell) wrote :

@ Joseph Salisbury (jsalisbury) wrote on 2011-10-18: #43

I have a separate disk with a fully updated 11.04 on as of today (updates recently applied). 11.04 does not suffer from these networking issues at all, only 11.10.

Changed in linux (Ubuntu Oneiric):
status: Confirmed → Triaged
Changed in linux (Ubuntu Precise):
status: Confirmed → Triaged
Moritz Heiber (mheiber) wrote :

I filed a bug with the Intel Wireless bugtracker reporting the exact same issues:

http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=2315

It hasn't gotten a lot of attention lately (read: has been abandoned).

tags: added: kernel-key
DDC (coquet) wrote :

I have a Intel Corporation Centrino Wireless-N 1000 (8086:0084) in a Thinkpad x220. In 11.04, I had good performance once I added "options iwlagn 11n_disable=1". With 11.10 i'm using the same configuration. The connection is stable, but the performance is noticeably worse.

For example, I'm currently scping a file to another host on the network at 1.2MB/s. Trying to do anything else at the same time is pretty painful.

~$ ping fw
PING fw.lan (172.16.88.101) 56(84) bytes of data.
64 bytes from fw.lan (172.16.88.101): icmp_req=1 ttl=64 time=1009 ms
64 bytes from fw.lan (172.16.88.101): icmp_req=2 ttl=64 time=1173 ms
64 bytes from fw.lan (172.16.88.101): icmp_req=3 ttl=64 time=2277 ms
64 bytes from fw.lan (172.16.88.101): icmp_req=4 ttl=64 time=1669 ms
64 bytes from fw.lan (172.16.88.101): icmp_req=5 ttl=64 time=1927 ms
...
--- fw.lan ping statistics ---
92 packets transmitted, 92 received, 0% packet loss, time 165346ms
rtt min/avg/max/mdev = 411.023/1158.280/2958.334/407.009 ms, pipe 3

DDC (coquet) wrote :

Just to add to the above, I have great link quality.

wlan0 IEEE 802.11bg ESSID:"<ssid>"
          Mode:Managed Frequency:2.462 GHz Access Point: <mac>
          Bit Rate=54 Mb/s Tx-Power=14 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality=68/70 Signal level=-44 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:14 Invalid misc:25833 Missed beacon:0

Moritz Heiber (mheiber) wrote :

FYI, I installed Fedora on my X220 (Intel N-6205) yesterday the all the issues completely vanished. Looks as though this is specific to Ubuntu.

DDC (coquet) wrote :

I grabbed the latest Fedora 16 beta which uses 3.1.0-rc6 and my wireless works perfectly. Both F16 beta and 11.10 are using the same firmware:

iwlagn 0000:03:00.0: loaded firmware version 39.31.5.1 build 35138

Joseph Salisbury (jsalisbury) wrote :

@Mortiz and @DDC

Would it be possible for you to test the latest upstream kernel on Ubuntu?
Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the release candidate kernel versus the daily build.

tags: added: needs-upstream-testing
Chewie (hannes-woelfler) wrote :

Hi
Same here on a DELL E6510 -> updated from 11.04 -> had to follow #42 and now it works perfect ;)

make (kaizenceo) wrote :

what i did was

 sudo apt-get purge network-manager network-manager-gnome

then i installed 'WICD'

it works and i dont have to sacrifice my N

cheers

Moritz Heiber (mheiber) wrote :

@Joseph: I'm going to give it a whirl during the weekend.

@make: Are you sure your card is connecting at N-speeds? Over here the connection keeps dwindling at around G-speeds. I don't know whether it actually using the N-band.

wlan0 IEEE 802.11abgn ESSID:"xxxxxxxxxx"
          Mode:Managed Frequency:2.462 GHz Access Point: F4:C7:14:3D:2D:DC
          Bit Rate=54 Mb/s Tx-Power=15 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=53/70 Signal level=-57 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:0 Invalid misc:52 Missed beacon:0

Moritz Heiber (mheiber) wrote :

Apologies. Disregard my earlier comment. I had the router set to G-only mode.

DDC (coquet) wrote :

Good news and bad news. I'm now running this:

Linux foo 3.1.0-030100rc10-generic #201110200610 SMP Thu Oct 20 10:11:32 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

The good news is that I have a stable connection with N enabled (not using 11n_disable=1) and performance is good so far. I can't seem to get above Bit Rate=65 Mb/s even when I'm very close to the AP. My iPod is consistently above 100Mb/s as reported by the AP.

The little bit of bad news is that with 11n_disable=1, the connection is stable, but I still have bad performance above noted in #54/55.

oledoe (oledoe) wrote :

Dell Studio 1747 with Broadcom BCM43224/4353 here. It would see and connect to the router, but zero traffic happening.

I have now disabled 802.11N directly in the router and am using G instead. This works fine, but should only be seen as a temporary workaround.

While troubleshooting, I was connected by cable as well as by the "zero-traffic" wifi connection. I noticed then (when being logged in to the router) that my router was seeing both connections, but listed them BOTH with the SAME MAC-address, namely that of my ethernet adapter. Just hoping that this observation helps with solving the problem.

Moritz Heiber (mheiber) wrote :

The quick and dirty way of getting around this issue is: Use wicd-daemon (WICD). This is first time since months I was able to use Skype without interruptions and/or loss of network connection. So this might indeed be network-manager related!

I'm still going to try the newer kernel.

DDC (coquet) wrote :

Moritz, are you still using 11n_disable=1 with WICD?

I suspect there might be two problems here. The first problem being N not working correctly. You can find the 11n_disable=1 trick documented for numerous distros. Based on my testing with Fedora 16 beta and the mainline 3.1 kernel in 11.10, this seems to be fixed in a later version of 3.x.

The second problem is bad performance with G which doesn't seem to be happening with other distros and might be related to NetworkManager.

Boris Erdmann (boris-erdmann) wrote :

Same issue here with

0c:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection (rev 61)

Moritz Heiber (mheiber) wrote :

@DDC:

No, I'm not using any switch or custom kernel. I'm only using WICD and the regular driver. The issues are completely gone (iwlagn N-6300 on a decent 300Mbit N-network).

I tested Fedora 15 and the issues didn't occur either.

NetworkManager is a part of the problem.

martinlee (martinchlee) wrote :

I confirm that post #42 of this thread helps to solve the issue on the freshly installed Kubuntu 11.10 on Lenovo Thinkpad w510 with "Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)
" network adapter.

The issue with slow wireless is solved by this.

Mark Wireman (mark-wireman) wrote :

Experiencing the same issue with wireless after upgrade from 11.04 to 11.10 on an ASUS R1Eseries, using iwl4965. Used suggestion to try and change wireless router from using 802.11-N & G to just 802.11 G. Wireless started to work again, however, I cannot keep it in the G mode due to other devices on the network that require the N performance.

If additional files are required beyond the ones already posted in previous threads, please let me know.

Moritz Heiber (mheiber) wrote :

Mark, try using WICD. It might help with the issues you're having.

My apologies, but suggesting to use WICD isn't helping fixing any issues. Furthermore, it's doubtful it really fixes the issues by itself, let alone without introducing other issues (such as whether applications will notice they are online in this case).

Please, test with the mainline kernel as asked by Joseph Salisbury in comment #58.

There's already been some amount of testing with the mainline kernel with good success (e.g. the connection is stable even when N isn't disabled). Reported bit rate by the driver is obviously not something that should be taken at face value since it changes constantly and is probably not all that accurate.

Finally, since there has been testing with good results with a newer kernel, and similar good results on Fedora (which also uses NetworkManager), I think there is sufficient proof that this isn't an issue in NM; so I'll close the NM task as Invalid.

@oledoe: please file a separate bug report for your issue. This bug report is specifically for Intel devices; as opposed to the Broadcom device you are using. You can use the "ubuntu-bug linux" command to help with filing a new bug report.

Changed in network-manager (Ubuntu Oneiric):
status: Confirmed → Invalid
Changed in network-manager (Ubuntu Precise):
status: Confirmed → Invalid
Moritz Heiber (mheiber) wrote :

Obviously, I never ment to imply for WICD to be a permanent, viable solution to this issue. However, as for my concern .. this is my workstation I use at home and at home. I cannot tinker with as much as I would like to since I require its service each and every day. Thus, I was looking for a quick and dirty workaround .. which I gathered, many others were looking for as well. I would've loved to try out a couple of other angles but I just don't have the time or the resources.

I realize this is in no way helping out with solving this bug for good. Also, my girlfriend and I are eternally grateful to whoever solves this mystery.

Do note: Fedora might be using a different NetworkManager version, a different patchset or might have configured their release in a different manner thus rendering the comparison between Ubuntu and Fedora a tiny bit futile, in my opinion. I wouldn't be so hasty as to declare this bug invalid for Ubuntu's NetworkManager.

Then again, I'm not exactly fit in terms of following release cycles and/or development roadmaps and I presume you're the one with the greater insight concerning exactly that matter.

Mark Wireman (mark-wireman) wrote :

@mathieu-tl: While I appreciate the suggestion of using mainline builds, I simply do not have the resources available to continue to update and test the various builds. This is a real issue that exists with the upgrade to 11.10 that must be resolved and not marked as either invalid or that offers the only recommendation of continously monitoring and installing mainline builds.

If the NetworkManager isn't the root cause of the issue, then this thread should be kept open to reference either the correct bug associated with the issue or modified to identify this bug correctly. Simply marking as invalid because of the comparisons between two different flavors of NetworkManager on different Linux builds is not offering a resolution to this real problem that is being experienced by all users who upgrade from 11.04 to 11.10.

This bug is only marked Invalid for NetworkManager, it's still open (Triaged, with someone assigned) to be looked at in terms of kernel drivers, configuration and whatnot.

I appreciate your concerns, but I'm just marking this as "not an issue in NetworkManager", because quite honestly I couldn't see any reason it would be related to it before, and the testing with mainline kernel builds (and the fact that it works with those) further reduces the likeliness of it being a NM issue. Additionally, Fedora 16 uses the same version of NetworkManager with sufficiently similar configuration that there is no reason to believe it might behave differently.

If you can't test with the mainline kernel (and I'd suggest simply http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.1-oneiric/, or the previous one http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.1-rc10-oneiric/), then it's perfectly fine; somebody else might be able to. In fact, DDC did test with apparently good results, if I am to believe comment #63. Testing with mainline kernels only takes a few minutes to do, and offers a great amount of help in order to successfully pinpoint a cause for the issue.

So again, I appreciate everyone's concerns and willingness to see this resolved as soon as possible, but having very similar hardware I don't see any performance issues or instability, so the best I can offer is to triage this following the data we already have as far as NetworkManager is concerned.

rkrizan (ryankrizan) wrote :

Something interesting, I upgraded to Linux-3.1, left the 11n_disable=1 in /etc/modprobe.d/options.conf, and my wireless drops off at very random times. I have to disable/re-enable my wireless to get connectivity back. However, when I "downgraded" to 3.0.8, connectivity is stable again. I will try again later on with removing 11n_disable=1 in the options, and see what happens there.

rkrizan (ryankrizan) wrote :

Even without the 11n_disable=1 option in etc/modprobe.d/options.conf, with the 3.1 kernel, the wireless drops at random.

DDC (coquet) wrote :

I installed 3.1.0-030100-generic #201110241006 SMP Mon Oct 24 14:07:10 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux and did some further testing. With the router operating in N mode the connection is stable and performance is very good. When I switch the router to B/G/Mixed (no N), the connection is stable but the performance is bad as noted in #54/55. I tried with 2 different routers (Atheros and Broadcom based) with the same results.

So my experience is as follows.

Sometime after 2.6.38-11 and before 3.0.0-12, G performance took a turn for the worse and is almost unusable even with 3.1.0. Then somewhere after 3.0.0-12 and before 3.1.0-RC6, N started working.

DDC (coquet) wrote :

As suggested in this bug:

http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=2314

I reverted to the older microcode (iwlwifi-1000-3.ucode) and performance in G mode is quite a bit better, but still not as good as it should be.

DDC (coquet) wrote :

With my configuration, the iwlwifi-1000-3.ucode causes packetloss with 3.1.0.

Jubuntu (julien+kubuntu) wrote :

Hi,
I am experiencing the same issue with Network controller: Intel Corporation WiFi Link 5100
Everything was working perfectly with previous versions of Kubuntu (i am using KDE), but Oneiric 11.10.

The connection is extremely slow and drops to 0 Kib.s. I am able to get a correct speed during the first minute of connection and then, it drops to 0 KiB/s.
#42 from Damon did solve the problem.

radioglyph (linkous8) wrote :

Can confirm this bug on my Portege m700 with Intel Corporation PRO/Wireless 4965.

Robert Kresse (robertkresse) wrote :

Same issue here with network controller: Intel Corporation WiFi Link 5100
Everything was working perfectly with previous versions of Ubuntu, but Oneiric 11.10.

#42 from Damon solved my problem

arsenix (arsenix) wrote :

I installed wicd and the problem went away. No other changes were in place (no disable_n etc). This was when connected to an N router. With network-manager connected to same router connection was unusable.(could not fully load any web page without stalling).

Dave Russell (drussell) on 2011-11-08
summary: - [Oneiric] Intel Corporation Centrino Ultimate-N 6300 poor networking,
- packet loss and very slow Lenovo X201 and T500 laptops
+ [Oneiric] [Regression] Intel Corporation Centrino Ultimate-N 6300 poor
+ networking, packet loss and very slow Lenovo X201 and T500 laptops

I upgraded to the latest stable release of the linux kernel, 3.1.1, and removed the options.conf file and booted into the new kernel. The problem was still there. I re-added the 11n_disable=1 option in options.conf and rebooted still using the 3.1.1 kernel. The network connection speeds were good for a few minutes, thereafter the connection speeds dropped again. So in the 3.1.1 kernel, even 11n_disable=1 does no good. At least not for me on either of my laptops.

I reverted back to 3.0.8, with 11n_disable=1, and all is working fine.

tags: added: kernel-bug-exists-upstream
removed: needs-upstream-testing
Chris J Arges (arges) wrote :

My laptop has an Intel Corporation Centrino Advanced-N 6205 (rev 34).
I am running Oneiric with 3.0.0-13.

I have just tested with a router that has a/g/n capabilities, and
if I turn on N, I can connect to the AP, but seem to have no connection (cannot load webpages).
If I turn on a/g wireless, I am able to connect just fine.

I'm willing to help to test any patches or do some digging. : )

rkrizan (ryankrizan) wrote :

@Chris J Arges, Can you try installing the latest stable kernel and try to duplicate your results? You can download the kernel packages from here: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.1.1-oneiric/

tags: added: kernel-da-key
thomas (tva-4) wrote :

same problem on Dell latitude E6220. Intel advanced-N 6205. wireless network i s useless - slow and drops out every 5-10 minutes. works perfectly in windows 7.

Olaf Geibig (olafgeibig) wrote :

I wonder if I shall turn my 11n off as long as this isn't fixed. I can connect to my AP without problems and the connection never drops, but I also have these excessive retries in 11n mode. When connected in g mode I have faster pings but network transfer is slower when copying a file by FTP from my NAS. So should I not worry about the lost packets and use n and enjoy the slightly better performance? Or can I suffer from data loss?

For the stats: oneiric 64 bit desktop, kernel 3.0.0-13-generic on a Thinkpad T520 with Intel 6300

rkrizan (ryankrizan) wrote :

I upgraded to the latest stable release of the 3.0.x series kernel, 3.0.10. For testing I removed the line "options wlagn 11n_disable=1" from options.conf in /etc/modprobe.d/ and reboot into the new kernel. This problem still persists in the latest 3.0.x series kernel. I re-added the options for the wlagn driver in options.conf and reboot back into the 3.0.10 kernel, and connectivity went back to normal.

Connection is stable on the 3.0.x series kernel with 11n_disable=1 and stays stable. However, with the 3.1.x series kernel with 11n_disable=1, the connection is stable for only a few minutes at a time, which then it drops the connection all together.

Either series kernel without 11n_disable=1 results in a completely unstable and unusable wireless connection.

Petr Glotov (pglotov) wrote :

For what its worth, I have same symptoms on thinkpad t410i, but disabling 11.n protocol doesn't help. I have two wireless routers, one only has b/g and connects fine. The other has b/g/n, and I have tried to disable 'n' on router side as well as on laptop side with the module optoin, and it still can't connect: the wave pattern in the up-right corner keeps moving and it periodically asks for the password it already knows. Needless to say windows 7 works fine with both routers.

Adrian Bennett (adypunk) wrote :

Im having to rollback because of this bug :(

I added the watcher on the upstream bug. I have not such card but discovered it trying to help a user on ubuntuforums.
Hope it helps...

no longer affects: network-manager
Changed in linux:
importance: Unknown → Critical
status: Unknown → Confirmed
Changed in linux:
status: Confirmed → In Progress
Joseph Salisbury (jsalisbury) wrote :

@Dave Russell,

I'd like to perform a kernel bisect to identify when this regression was introduced. It would be good to first test some upstream kernels to rule out any Ubuntu specific patches. Could you test the following kernels and report when the issue starts happening(And if it happens with these kernels):

1. http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.38-natty/
2. http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.39-oneiric/
3. http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.0-oneiric/

Thanks for testing!

Dave Russell (drussell) wrote :

1. Fails to boot - Kernel BUG : unable to handle kernel null pointer dereference

Joseph Salisbury (jsalisbury) wrote :

Thanks, Dave.

If both kernel tests 1 and 2 have show symptoms of this bug, can you test:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.38.8-natty/

Dave Russell (drussell) wrote :

Equipment: Laptop Lenovo X201 with Intel Corporation Centrino Ultimate-N 6300 (rev 0x74)
           Wireless Router Belkin
           Environment Router in room below, many devices connected.

Ubuntu Kernel AP Mode Measured Speed (iperf) Link Quality Bit Rate Works

Oneiric 3.0.0-12-generic #20-ubuntu ABGN mixed 158 Kbits/sec 64/70 240 Mbits/sec No
Oneiric 2.6.39-020639 ABGN mixed 101 Kbits/sec 63/70 135 Mbits/sec No
Oneiric 3.0.0-0300-generic #201107220917 ABGN mixed 17.5 Kbits/sec 67/70 120 Mbits/sec No
Oneiric 3.0.0-0300-generic #201107220917 G Only 11.2 Mbits/sec 60/70 54 Mbits/sec Yes
Natty 2.6.38-13-generic #52-Ubuntu ABGN mixed 11.7 Mbits/sec 66/70 54 Mbits/sec Yes
Natty 2.6.38-020638-generic ABGN mixed 12.3 Mbits/sec 68/70 54 Mbits/sec Yes
Natty 2.6.39-020639rc4-generic ABGN mixed 13.5 Mbits/sec 66/70 54 Mbits/sec Yes

So I've run nearly identical kernels on both natty and oneiric, 2.6.39-020639 only difference being the natty one was RC4
So unless something changed between those kernels, natty is limited to G speeds regardless and suffers no performance degredation
Where as oneiric isn't limited and even with what should be a *good* kernel, is hopeless
Unless there were significant changes between the Natty 2.6.39-020639 RC4 kernel and the Oneiric 2.6.39-020639 kernel

Dave Russell (drussell) wrote :

As the text is fairly ugly and the spaces got stripped out, here's an image of my findings.

Dave Russell (drussell) wrote :

As the text is fairly ugly and the spaces got stripped out, here's an image of my findings.

Joseph Salisbury (jsalisbury) wrote :

@Dave Russell

Thanks so much for all the testing you performed!

After a long series of tests, it appears this is not a kernel regression.

I believe Dave has a spreadsheet documenting all of the pass fail scenarios, but here is a short list of the tests ruling out the kernel:

2.6.38-13.52 natty kernel in a natty install => Pass
2.6.38-13.52 natty kernel in an oneiric install => Fail
3.0.0-13.22 oneiric kernel in a natty install => Pass
3.0.0-13.22 oneiric kernel in an oneiric install => Fail

Since the latest natty and oneiric kernels Pass in a natty environment this indicates an userspace regression from natty to oneiric.

The plan is to next investigate network manager as a possible culprit. The first test will be to try the natty networkmanager on oneiric. The difficulty will be resolving any dependency issues.

Moritz Heiber (mheiber) wrote :

What about the firmware packages? Intel's driver is loading a proprietary firmware, isnt' it? That could very well be the relevant part if we're looking for a userspace related changeset ..

Johannes Berg (johannes-berg) wrote :

This bug is insane. I tried to make some sense of all the comments, and there are *at least* three unrelated problems ...

Problem #1: "my skype connection is randomly interrupted and using wicd fixes it"
This is likely caused by background scanning not going as smoothly as you think -- I believe most versions of NetworkManager still scan every 2 minutes, but there were improvements in this area.

Problem #2: "my router crashes when I use Intel's card" (see comment #24, comment #34)
This is a bug we've investigated and we think we fixed it in commit 59f53ce22e, upgrading the kernel to 3.0.0-13.21 (ubuntu version) or 3.0.6 (stable version) should fix it. I'd love to see this tested again, but it seems unlikely that there are two bugs that both cause some APs to crash (I'd HOPE not, but some APs are notoriously shoddy quality...)

Problem #3: "my 11n connection is really slow, disabling 11n helps"
This is puzzling, and since I've never seen this anywhere I'm starting to think it might be a combination of the router/AP & environment used. Anyone near Portland, OR or Bielefeld (Germany) where we could debug in person? :-)

Problem #4: "my connections are dropped frequently"
This might or might not be related to #3, but I can't really tell.

Generally, it would be nice if the commenters would include more details about their setup, like the exact kernel version (ubuntu package version number), and, if possible at all, the model of the AP. Thx!

I'll continue monitoring this bug report for a while but with the volume of reports I'll have to devise a debug strategy first ...

Dave Russell (drussell) wrote :

Here's an updated capture of the spreadsheet which shows my findings

Dave Russell (drussell) wrote :

As you can see from the above... using wicd on oneiric provides a stable connection even with N enabled. However also note from the spreadsheet that the rate is limited to G speeds even when using wicd on Oneiric, something that does not happen when using Network Manager on Oneiric.

I'm about to use Oneiric Network Manager on Natty, but there's such a huge swathe of dependancies, I'll need to re-install the machine after testing as it'll be a hideous Frankenstein's monster of a build.

Dave Russell (drussell) wrote :

Confirmed. Natty with Oneiric Network Manager (and deps) suffers from the same performance problem as pure Oneiric.

Tested with 2.6.38-13-generic #52-Ubuntu kernel.

Will attach dpkg lists (before and after) and update log from network-manager install/update from oneiric repos.

Dave Russell (drussell) wrote :

Natty package list pre upgrade.

Dave Russell (drussell) wrote :

Natty package list with oneiric network-manager installed.

Dave Russell (drussell) wrote :

Apt log from update to oneiric network-manager

Changed in network-manager (Ubuntu Oneiric):
status: Invalid → Confirmed
Changed in network-manager (Ubuntu Precise):
status: Invalid → Confirmed
status: Confirmed → Incomplete
Dave Russell (drussell) wrote :

@ Mathieu Trudel-Lapierre (mathieu-tl) wrote on 2011-10-24: #72

Given the weight of recent testing, the issue is indeed looking like a userspace issue of some sort, potentially network-manager. Therefore I have set the status of the network-manager task back to "confirmed" for Oneiric.

I have set the Precise one to "Incomplete" as I have not performed any such testing on that platform yet... probably my next step.

tags: removed: kernel-key
Joseph Salisbury (jsalisbury) wrote :

Thanks to everyone that has commented on this bug. However, as Johannes mentioned, there are allot of comments that talk about issues that are unrelated to this bug.

It would be great if everyone that commented on this bug can ensure they have the same issue, described in the bug description. If not, please open a separate bug report, so your issue can be tracked and worked on without getting lost.

Dave Russell (drussell) wrote :

I have reproduced the issue on Precise. Marking as confirmed.

Changed in network-manager (Ubuntu Precise):
status: Incomplete → Confirmed
Craig Setera (craigjunk) wrote :

After reading through this chain, I'm not entirely sure what I can/should do at this point to get a reasonably stable connection until all of the fixes come through. I'm on a Dell Studio 1558 machine with Intel Wireless card. When I start doing anything with any significant download, my Netgear WNDR3300 AP crashes and restarts. I had been running DD-WRT on that router, but based on these issues I reverted it to standard firmware with no improvements. I'm running in G mode, but I don't believe I have the disable N option set at this point. I'm also dealing with a backlight issue that Kamal fixed via PPA, so switching kernels is a bit tricky.

$ -> uname -a
Linux craig-Studio15 3.0.0-14-generic #23+kamal~fix~stuck~backlight4-Ubuntu SMP Fri Nov 25 23:59:25 UT x86_64 x86_64 x86_64 GNU/Linux

03:00.0 Network controller: Intel Corporation Centrino Advanced-N 6200 (rev 35)

I'm running Network manager and I'm willing to switch to WICD if it will get me a stable connection. I'm OK if the connection isn't N if it doesn't crash the AP. I would appreciate some direction on best approach for the short term.

Paul (paulsantman) wrote :

Hello everyone,

I can confirm this bug for my Thinkpad X220, running Xubuntu 11.10. Slow (almost non-existent) wifi speeds on my home network (which is configured for wireless-n). The work network (b or g speeds) doesn't give any issues.

Running standard Xubuntu 11.10 with latest kernel available through the Update Manager, 3.00.14.

The work around disabling n also worked for me:

sudo rmmod iwlagn
sudo echo "options iwlagn 11n_disable=1" > /etc/modprobe.d/disable11n.conf
sudo modprobe iwlagn

Johannes Berg (johannes-berg) wrote :

I have just attached a kernel patch, I'd appreciate if somebody could try it out.

This patch was prepared against 3.2-rc kernel, and parts of it (the changes in the iwl-mac80211.c file) will not directly apply to older kernels as we moved some code around. Those parts should apply to iwl-agn.c instead.

Alternatively, I might work with somebody more familiar with ubuntu to provide backport packages including this patch.

The patch allows a more fine-grained 11n_disable. Instead of 11n_disable=1, it would be interesting to see if, for example, 11n_disable=2 also helps. The possible values are:
11n_disable=1: disable HT completely
11n_disable=2: disable TX aggregation only
11n_disable=4: disable RX aggregation only
11n_disable=6: disable both RX and TX aggregation
(the other bit combinations don't make sense since disabling HT already disables aggregation)

The attachment "patch to selectively enable/disable HT features" of this bug report has been identified as being a patch. The ubuntu-reviewers team has been subscribed to the bug report so that they can review the patch. In the event that this is in fact not a patch you can resolve this situation by removing the tag 'patch' from the bug report and editing the attachment so that it is not flagged as a patch. Additionally, if you are member of the ubuntu-reviewers team please also unsubscribe the team from this bug report.

[This is an automated message performed by a Launchpad user owned by Brian Murray. Please contact him regarding any issues with the action taken in this bug report.]

tags: added: patch

Dave Russell did some testing on his X201 with various kernel versions and userspace tools. I'm attaching the results of this as a PDF.

From these results we see the following:
1) Works on Natty 2.6.38 (though a bit slower than expected)
2) Oneiric/Precise 3.0.0/3.2.0 do not work (very slow to no connection)
3) Natty with an Oneiric Network Manager (0.8.4) works.
4) Oneiric with Wicd works.
5) Oneiric with N disabled works.

So this looks to be related to network manager or could be a kernel<->userspace interaction.

Chris J Arges (arges) wrote :

@johannes-berg et all

I have built a version of your patch against ubuntu-oneiric for testing. You can download the files here:
http://people.canonical.com/~arges/lp836250/linux-3.2.0-4.10~lp836250v201112132022/
Attached is the modified patch that I used to build.

To those that can replicate this bug:
I think it would be good to try the bit values (1,2,4,6) suggested by Johannes and see what the results are.

Thanks,
--chris j arges

rkrizan (ryankrizan) wrote :

I installed Chris Arges' patched kernel, and used the different values as suggested by Johannes. Nothing worked. The network connection was zero. It showed I was connected to my router, but I could not ping out to anywhere.

Johannes Berg (johannes-berg) wrote :

@Chris, thanks! Is that really 3.2-rcX as the version indicates?

@Ryan, did it work before with 11n_disable=1? I think we had some *new* issues with some other 11n APs newly introduced in 3.2-rc that we're just fixing now...

rkrizan (ryankrizan) wrote :

@Johannes, The patched kernel didn't work even with 11n_disable=1. I had to revert to 3.0.13 kernel to regain connectivity.

Chris J Arges (arges) wrote :

@johannes-berg

This kernel version is based off of Linux 3.2-rc5, with some additional patches on top.
I did a brief test on my T420, which does not exhibit problems with my n wireless setup using older kernels. I was able to test 11n_disable=1 on it, and it did in fact disable n wireless. Perhaps we are hitting some other bugs.

Would it make sense to backport this to an oneiric kernel (3.0.0 vintage), or earlier?

Johannes Berg (johannes-berg) wrote :

Yes I think it would be more interesting to test this on the 3.0.13 (or so) that others are using already, we just recently had some bugfixes in 3.2-rc that wouldn't have propagated up yet.

The interesting thing would be having 3.0.x broken, fixed with 11n_disable=1 and then figuring out if it's also fixed with 11n_disable=2, 4 or 6.

Chris J Arges (arges) wrote :

@johannes-berg

I have built a version of this patch against ubuntu-oneiric (3.0.0), you can download it here:
http://people.canonical.com/~arges/lp836250/linux-3.0.0-15.24~lp836250v201112142229/

Attached is the patch I used for this build.

Thanks,
--chris j arges

Johannes Berg (johannes-berg) wrote :

@christopherarges
Cool, thanks!

@all
Can whoever had this issue with 3.0.0-15.24 please use this and check which of the 11n_disable=1,2,4,6 options helps?

rkrizan (ryankrizan) wrote :

Here is my results:

Using Chris Arges' kernel (3.0.0-15.24): http://people.canonical.com/~arges/lp836250/linux-3.0.0-15.24~lp836250v201112142229/

11n_disable=1: PASS
11n_disable=2: PASS
11n_disable=4: FAIL
11n_disable=6: PASS

11n_disable=6 seems to also give me the best performance. The other options (that passed) all would result with about 15Mbps connectivity (down), whereas option 6 I would consistently get better than 20Mbps downrate.

rkrizan (ryankrizan) wrote :

Doing a few other ping tests, option 6 definitely gives me the best performance. Pinging one of Yahoo.com's servers, with option 6, ping times stay below 40ms. Using options 1 or 2, ping times vary between 40ms upwards to 130ms. Average ping time with options 1 and 2 is over 80ms.

Same problem here. System76 laptop with Intel Centrino Advanced-N 6200. Up to 20% packet loss. Seems like a driver issue.

Johannes Berg (johannes-berg) wrote :

Thanks Ryan. I was actually expecting 2 FAIL and 4 PASS (and 1/6 PASS obviously), so it's good to know that it's the other way around.

Johannes Berg (johannes-berg) wrote :

for reference:
11n_disable=1: disable all of HT: MCS rates, TX/RX aggregation
11n_disable=2: disable TX aggregation (use MCS rates, RX aggregation)
11n_disable=4: disable RX aggregation (use MCS rates, TX aggregation)
11n_disable=6: disable both RX and TX aggregation (use MCS rates)

My findings: right after boot there is no wireless connection. But after "rmmod iwlagn; modprobe iwlagn", all is fine. So even without adding "options iwlagn 11n_disable=1" to /etc/modprobe.d/.

System information:

Xubuntu 11.10
Linux safecracker 3.0.0-14-generic #23-Ubuntu SMP Mon Nov 21 20:34:47 UTC 2011 i686 i686 i386 GNU/Linux
03:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection

I'm at a loss as to how to debug this at the NetworkManager level. Nothing is truly special there; what we do is basically just detect the type of device to know whether to pass ap_scan=1 or ap_scan=2 to wpasupplicant, which is what actually establishes and keeps the connection up. Other code looks at stats for speed, range, etc. calculation, but that's hardly something that would affect speed. Then there's the obvious background scanning, but this isn't causing any issue on other cards.

As a test, could you please try to run Precise with the latest NetworkManager from the NetworkManager trunk ppa (http://launchpad.net/~network-manager/+archive/trunk). There's been some changes to the wifi code in git, so it's worth verifying.

As for another test; please try to run just wpasupplicant from Oneiric on Natty, and see if this causes the connection to not get the expected performance.

From there, we'll need full syslog of what happens while testing the connection performance, preferably with NetworkManager in debug: you can get this easily after starting NetworkManager but using the debug helper script here:
http://cgit.freedesktop.org/NetworkManager/NetworkManager/plain/test/debug-helper.py

Call it as "debug-helper.py --nm debug"; we want to get all the debugging information available.

If nothing helps, packet captures when experiencing the problem would certainly shed more light on what's happening.

Gunaddho Bhikkhu (taanpeter) wrote :

I want to contribute the fact that I'm having the same issue with my Lenovo x201 with ultimate N-6300 card. There's a wifi hotspot that used to give me 1.5 to 2 mb/s dl speeds and now it can't even update package lists. Here's what I thought would be of interest. This behavior first manifested on my 2 Arch installations with Gnome3 and network manager. Natty was still speedy, and then the clean install of Oneiric on another partition behaved super-sluggishly, basically unusable, just like on the Arch installs. Then upon upgrading the Natty install to Oneiric, that became slow. Unfortunately (for comparison) everything I have is Gnome3 and network-manager, except for a Crunchbang/Debian Squeeze install, which remains speedy.

Craig Setera (craigjunk) wrote :

I believe I've found another interesting aspect to this issue. I believe it is actually capable of forcing my Motorola Surfboard 6120 cable modem to reboot. When using a wireless connection to do a git repo sync with Cyanogenmod (or anything that involves a substantial download), my cable modem will reboot every few minutes with the following logged errors.

Cable Modem Reboot due to T4 timeout ;CM-MAC=XX:XX:XX:XX:XX:XX;CMTS-MAC=XX:XX:XX:XX:XX:XX;CM-QOS=1.1;CM-VER=3.0;
Unicast Maintenance Ranging attempted - No response - Retries exhausted;CM-MAC=XX:XX:XX:XX:XX:XX;CMTS-MAC=XX:XX:XX:XX:XX:XX;CM-QOS=1.1;CM-VER=3.0;
Ranging Request Retries exhausted;CM-MAC=XX:XX:XX:XX:XX:XX;CMTS-MAC=XX:XX:XX:XX:XX:XX;CM-QOS=1.1;CM-VER=3.0;
No Ranging Response received - T3 time-out;CM-MAC=XX:XX:XX:XX:XX:XX;CMTS-MAC=XX:XX:XX:XX:XX:XX;CM-QOS=1.1;CM-VER=3.0;

If I use a wired connection and disable wireless, I can do these synchronizes without a problem on the cable modem. Other machines on the network don't have issues, pointing directly at this Intel wireless problem. What I find most interesting about this is that there is a wireless router, switch and Linux router in the networking path within the house. I don't know enough about networking to understand how the wireless driver/hardware could possibly be creating packets that flow through the network and crater the cable modem. Very strange indeed.

I'm pondering whether I need to re-install to roll back to 11.04 where networking was stable. I see that there is ongoing conversation with the Intel wireless driver folks, but does anyone have an idea if/when this might be fixed?

I also have a Intel Centrino Ultimate-N 6300 card. Internet is working with the 11.10 live cd. I didn't want to install and update 11.10 so I took a 12.04 live cd version to test this issue and indeed an internet connection is impossible. I can conect to my WPA/WPA2 router. It shows that I'm connected, but there is no chance to go to a webpage. It's the same with Kubuntu 12.04. I did this, because I experienced the same problem with another distribution. I really get nothing, even if I stay 1 meter away from the router.

Petr Glotov (pglotov) wrote :

Hello folks, anybody tried to compile kernel with

CONFIG_IWLWIFI_DEBUG=y
CONFIG_IWLWIFI_DEBUGFS=y
CONFIG_MAC80211_DEBUGFS=y
CONFIG_MAC80211_DEBUG_MENU=y
CONFIG_MAC80211_NOINLINE=y
CONFIG_MAC80211_VERBOSE_DEBUG=y
CONFIG_MAC80211_HT_DEBUG=y
CONFIG_MAC80211_TKIP_DEBUG=y
CONFIG_MAC80211_IBSS_DEBUG=y
CONFIG_MAC80211_VERBOSE_PS_DEBUG=y
CONFIG_MAC80211_DEBUG_COUNTERS=y
CONFIG_MAC80211_DRIVER_API_TRACER=y

These options are supposed to produce debug output viewable with dmesg. if not I will give it a try.

Changed in linux:
status: In Progress → Fix Released
Moritz Heiber (mheiber) wrote :

I really don't see how the above linux bug pertains to this issue in any kind or form and thus wouldn't support the bug-watch-updater's choice to mark it as 'Fix released'. All of the symptoms described in the bugreport on the Intel bugtracker DO NOT show up in any comment of this report.

Changed in linux:
importance: Critical → Unknown
status: Fix Released → Unknown
Olaf Geibig (olafgeibig) wrote :

I also don't think the linux bug is the same as 'our' bug. I don't see'fail to flush all tx fifo queues' in my dmesg. But I guess it would be interesting for us to check out the above fix. Maybe it helps us, too.

Changed in linux:
importance: Unknown → Medium
status: Unknown → In Progress

Been discussing this again -- it's not a bug in NetworkManager, even if it may be easier to trigger the bug if using it. Closing the task as Invalid.

Changed in network-manager (Ubuntu Oneiric):
status: Confirmed → Invalid
Changed in network-manager (Ubuntu Precise):
status: Confirmed → Invalid
tags: added: kernel-key
tags: removed: kernel-key
Martin Pitt (pitti) on 2012-02-01
no longer affects: network-manager (Ubuntu)
no longer affects: network-manager (Ubuntu Oneiric)
no longer affects: network-manager (Ubuntu Precise)
Doug Bates (coloneldare) wrote :

It's still broken! I just installed Precise on my Acer One netbook ( with Intel Corporation Centrino Wireless-N 1000) and connectivity is unuseable (10's to k's of B/s).

Having found 11.10 unuseable (see #37) last October I rolled back to 11.04 until now. Disappointed 'cus I love 11.10/12.04 on my ehternet linked desktop, but wifi is useless on the netbk.

Doug Bates (coloneldare) wrote :

ps to #140 above, if it helps.... Thanks. D.

*-network
                description: Wireless interface
                product: Centrino Wireless-N 1000
                vendor: Intel Corporation
                physical id: 0
                bus info: pci@0000:02:00.0
                logical name: wlan0
                version: 00
                serial: 00:26:c7:9e:63:6e
                width: 64 bits
                clock: 33MHz
                capabilities: pm msi pciexpress bus_master cap_list ethernet physical wireless
                configuration: broadcast=yes driver=iwlwifi driverversion=3.2.0-15-generic-pae firmware=39.31.5.1 build 35138 ip=192.168.2.3 latency=0 link=yes multicast=yes wireless=IEEE 802.11bgn
                resources: irq:44 memory:56000000-56001fff

Dave Russell (drussell) wrote :

Still having the problem, tried the 3.3.0 kernel, no change. Just grabbed a tcpdump on the client side while attempting to ping the default gateway.

Attaching below.

Olaf Geibig (olafgeibig) wrote :

Today I have good news. The problem seems to be fixed for me. I'm running Oneiric on a Thinkpad T520 with a Ultimate-N 6300 AGN wireless chipset. Today I got the ubuntu update notification announcing a new kernel to be installed. As I reviewed the changelog I noticed that the kernel was updated to include the latest compat-wireless: https://bugs.launchpad.net/ubuntu/+source/linux-backports-modules-2.6.32/+bug/918351

I gave it a shot, so before booting into the new kernel I removed the workaround mentioned in post #42 which simply disabled 11n mode. After reboot Network-Manager connection information showed me a connection in 11n mode at 270 Mbs (router was like 5 m from me). I tested by uploading a video file of 1.3 GB to my NAS. It was transferred at an average speed of 9.6 MB/s. After the transfer I checked the output of ifconfig stating no errors or dropped packages for wlan0. BINGO!

Guys I hope that will work for all of you, too. Just try it.

rkrizan (ryankrizan) wrote :

Upgraded to kernel 3.0.0.16 this morning, and thankfully have the same results as @OlafGeibig. Connection is fast and stable, without disabling 11N.

aelgali (aelgali) wrote :

Nice! i've just upgraded to kernel 3.0.0.16 and removed "options iwlagn 11n_disable=1" and it's working great. i'm getting "0% packet loss". THANKS!

markdv77 (markdv77) wrote :

Just upgraded, but unfortunately it's not fixed for me. Problem is still exactly the same. See Bug 919579 for details.

Moritz Heiber (mheiber) wrote :

Did you actually install the relevant linux-backports-cw- package? "Just" upgrading your kernel isn't going to work.

DDC (coquet) wrote :

I've been following this bug pretty closely (I thought), but this is the first mention I've seen of linux-backports-cw. Why does this package solve the problem?

Olaf Geibig (olafgeibig) wrote :

Probably I'll never understand these ubuntu kernel packages and how they relate. If I take a look at the changelog of yesterdays updates to my machine via 'apt-get changelog linux-image-generic' you can see the changelog entry which caught my attention:

linux-meta (3.0.0.16.19) oneiric-proposed; urgency=low

  [ Leann Ogasawara ]

  * Add compat-wireless v3.2 meta package
    - LP: #918351

As I look at it now I noticed that the changelog actually belongs to a package called linux-meta:
http://www.ubuntuupdates.org/package/canonical_kernel_team/oneiric/main/base/linux-meta

From the description: This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group: -Backported wireless drivers for generic kernel image ...

This probably explains why I got the backported drivers although I have NOT installed linux-backports-cw or any other backports. I checked it with 'dpkg -l |grep backport'. Probably worth to say is that I have installed linux-firmware which is mentioned in the compat-wireless package.

markdv77 (markdv77) wrote :

Installed the linux-backports-modules-cw- package matching my kernel. Made no difference...
I can still reproduce Bug 919579 with a 100% success rate.

Perhaps it's hardware dependant? Olaf mentioned a "Ultimate-N 6300 AGN", rkrizan "Intel WiFi Link 5100" & "Intel Pro 4965AGN". I have a "Centrino Wireless-N 1030".

DDC (coquet) wrote :

I have Centrino Wireless-N 1000 (8086:0084) and using linux-backports-modules-cw- (and the iwlwifi module) and the performance has not changed. It might even be worse :(

Doug Bates (coloneldare) wrote :

Following the flurry of happy people above I tried 12.04 Daily Build (64 bit / 15Feb) again on my Atom 450 / Centrino -Wireless N1000 netbook and still minimal connectivity (10s -100s B/s).

However using a Raylink RT 2070 usb dongle (148f:2070) I get 800+kB/s just fine.

I didn't try backports, just daily build / updates. & thanks for your efforts.

Moritz Heiber (mheiber) wrote :

Unfortunately, after a couple of days of testing, I cannot confirm that the latest release of the backported modules fixes the issues described in this report concerning the Advanced-N 6205 AGN. At best, and that is without proper testing .. just a hunch, it went from unusable to marginally better, yet still unusable. Back to using cables :(

chayyoo (krvbr) wrote :

Similar problem here with a netbook with Intel Centrino-N 130 and kernel 3.2.6-2 (Arch). Tried with both NetworkManager and Wicd. However, the problem disappears with:
sudo rmmod iwlwifi
sudo modprobe iwlwifi

Paolo (ilvalle) wrote :

On a fresh installation of the daily ubuntu precise (actually yesterday) I got the same problem with an Intel Centrino N 1030.

Anonym (aurtzcvw) wrote :

I also have an Intel Corporation Centrino Ultimate-N 6300 card in my laptop. I tried everything, but no solution. Kernel 3.0 worked while I have the problem since 3.1. Today I noticed something important:
All the problems only appear with encrypted wifi. I noticed that, because I came across a free hot spot, and there it worked perfectly! If I am at home I can access to my WPA2 encrypted wifi, but I can't access to any webpage, which means I have no access to internet. This problems seems to be an encryption problem. (WPA for sure, I haven't tested any WEP wifi). All "solutions" I tried didn't work. I'm talking about kernels offered by archlinux. I tried orneiric on the live-cd version and there everything worked. Ubuntu 12.04 doesn't work.

Steven Keys (steevven1) wrote :

@ Comment # 156: It's very strange you say that. With my Intel Centrino Wireless N-1000 card in my ThinkPad X220, I only see this problem on UNencrypted networks, and never on encrypted ones (though I have only tried a few encrypted networks).

DDC (coquet) wrote :

The variability of this problem is wicked. On a whim, I swapped out my Atheros AR9132-based AP for a Broadcom based Linksys E3000 and my N performance is much better now. It's still not as good as it should be, but it's usuable now at least.

x220 with Centrino Wireless N-1000.
3.0.0-16-generic #28-Ubuntu SMP Fri Jan 27 17:44:39 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Shady Samir (shadysamirsobhi) wrote :

After upgrading to kernel 3.0.0.16 I am able to connect my laptop at 150Mbps using iwlagn and my desktop at 300Mbps using rt2800pci. Both speeds were not possible before kernel update.

The problem now is that my laptop connects in g speed (54Mbps) after waking up from suspend. Have to reboot my access point or set it to N only to get back to N speed of 150Mbps.

Hi guys. I have a different wireless card:
Network controller: Realtek Semiconductor Co., Ltd. RTL8188CE
Running
Linux alia 3.0.0-16-generic-pae #28-Ubuntu SMP Fri Jan 27 19:24:01 UTC 2012 i686 i686 i386 GNU/Linux

And I came across this thread because I have a ThinkPad x220i, and my wireless had similar problems, with both WPA and unsecured maxing out at about 400kb/sec when I should have gotten about 2mb/sec. So I tried the second fix at
http://www.hitxp.com/articles/software/ubuntu-fix-slow-wireless-internet-connection-speed-upgrading-11-04-natty-narwhal/

And my WPA is now at full speed. Since this bug is not related to a wireless driver I thought that you guys should give this a try too if you haven't already.

Some problem with the intel iwl4965 driver. It occured with one of the last updates.
Disabling N with "sudo modprobe iwl4965 11n_disable=1" solves the problem.
I don't even have an N-capable router.

lshw reports:
configuration: broadcast=yes driver=iwl4965 driverversion=3.0.0-16-generic firmware=228.61.2.24 ip=192.168.1.128 latency=0 link=yes multicast=yes wireless=IEEE 802.11abgn

Roy Badami (roy-gnomon) wrote :

This could be a complete red herring, but on the off chance that it's useful info:

I'm seeing this issue on an Ultimate-N 6300 in a two-antenna laptop (with only antenna terminals 1 and 2 connected). This configuration works fine under Windows, but causes high packet loss under Linux Mint 12. Could the issue possibly be caused by only using two antennas on a 3-antenna card? It's tempting to speculate that maybe the Windows drivers correctly detect this configuration, but the Linux drivers attempt to use all three antennas.

I wonder if any commercial laptop manufacturers configure three-antenna cards with two antennas? I may try to see if I can install a third antenna in the laptop, either temporarily or permanently and report back.

Richard Brown (rgbrown) wrote :

@Roy, don't think it's that, I (and others) have the same problem on an Ultimate-N 6205, which is a 2x2 adapter

Mirek Sourek (mirek-sourek) wrote :

I can confirm this bug - Ubuntu 11.10 64bit. I'm using wifi card Intel centrino advanced-n 6230 and the connection is VERY slow. When I try any other wifi card with another chipset, it works fine (Atheros, Broadcom..).
This hack works for me:

Create a file /etc/modprobe.d/intel_11n_disable.conf containing :

options iwlagn 11n_disable=1
sudo update-initramfs -u

reboot or sudo modprobe -r iwlagn && sudo modprobe iwlagn

Can we expect any patch for 11.10? Thanks a lot.

Steven Keys (steevven1) wrote :

It seems that on my ThinkPad X220 with the Centrino Wireless N-1000 and kernel 3.2.5, WiFi gets worse over time. Sometimes rebooting my machine speeds it back up until it crawls to a hlat over time again.

Brad Figg (brad-figg) on 2012-04-03
tags: added: kernel-wifi
Craig Dean (quaeritate) wrote :

I am running 12.04 on a HP EliteBook 8440p with Centrino Ultimate-N 6300 and have the same problem. Disabling N using Mirek's hack above has worked for me.

Steven Keys (steevven1) wrote :

I am trying to apply Mirek's trick in post # 164, but I'm curious if iwlagn is the same thing as iwlwifi? My wifi driver is listed as iwlwifi. Should I modify the .conf file somehow?

rkrizan (ryankrizan) wrote :

iwlwifi is a completely different driver than the iwlagn driver. You might be experiencing a completely different bug. What network adapter are you using?

Steven Keys (steevven1) wrote :

My adapter is the Intel Centrino Wireless N-1000 in a ThinkPad X220. I filed a separate report, and someone marked it as a duplicate of this one. My report is here: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/939218

rkrizan (ryankrizan) wrote :

Try the walkaround using your driver:

sudo rmmod iwlwifi
sudo modprobe iwlwifi 11n_disable=1
echo "options iwlwifi 11n_disable=1" | sudo tee -a /etc/modprobe.d/disable-n.conf

Steven Keys (steevven1) wrote :

The following workaround has solved my issue on my ThinkPad X220 with Intel Centrino Wireless-N 1000 card using iwlwifi driver (except, of course, that I don't have N wireless capabilities now):

1) Create a file at /etc/modprobe.d/intel_11n_disable.conf containing this one line:
options iwlwifi 11n_disable=1

2) Run this command:
sudo update-initramfs -u

3) Reboot

Maybe others with the iwlwifi driver should try doing this. Notice how it's the same fix others have mentioned with the iwlagn driver, except that "iwlagn" was replaced by "iwlwifi" in the config file.

Developer (lunixhacker) wrote :

I'm talking about an Intel Corporation Centrino Ultimate-N 6300

This problem is very strange. I have played around with this problem weeks and weeks and have no solution. The work around of comment #164 works for me with Kernel 3.0.26 and 3.1.0-1.2 but not with newer kernels as 3.3. This issue has to do with many components, it's not only the kernel! Kernel 3.0.8 worked for me out of the box with a distribution consisting of older software components (Networkmanager 0.8x). Now I'm on Opensuse 12.1. Because Kernel 3.0.8 worked for me so well i decided to compile it for Opensuse. Same problem here, no chance to get into the internet. The mentioned fix works. It is exactly the same kernel, as in the older distribution! Although in the older with other software components it works, but not on the one with newer software components (as Networkmanager 0.9x).
With the newest kernels you are completely out of luck!

Comment #156 is also true for me.

Eugene Valley (evalley) wrote :

lunixhacker is right in my case, too. X201 with an Ultimate-N 6300. Running Kernel 3.2.0-22 (64-bit)/12.04(Beta2). Same symptoms, on boot wireless works for a few moments, then goes down to 1Mb/s until, ultimately, the connection drops and re-connects into the same cycle. Workaround from #164 does not work with this build. Again, issue only occurs with UNencrypted connections. WPA/WPA2 n-connections work fine.

#173 is not completly true, 802.1X don't work to...

Robert Maynord (r58eft) wrote :

As per #172: "With the newest kernels you are completely out of luck!" Also, "This issue has to do with many components, it's not only the kernel" seems a correct observation.

I have this connection problem with an ASUS netbook 1016PT, ---network card Intel Centrino Anvanced-N 6200. I can connect and see all the routers in the neighborhood, but no internet service and no authentication. This is in a room with 25 other laptops and netbooks all working fine. The above patches do not work in my case. I have Kubuntu 12.04 running on other wireless machines, but not the Intel Advanced-N netbook.

At this point I am looking for a novel solution. For example, I have read that Kubuntu 11.04 worked. I am downloading it, and will try it.

It seems that wireless devices are being used everywhere at this point. It is sad that we have to struggle with this issue on so many machines.

Robert Maynord (r58eft) wrote :

UNREAL! Kubuntu 11.04 works instantly, out of the box with the ASUS netbook 1016PT, network card Intel Centrino Advanced-N 6200.

nh2 (nh2) wrote :

Hardware: Lenovo X220, Wifi: Intel Centrino Advanced-N 6205 AGN
Software: Ubuntu 11.04, problem on both 2.6.38 and 3.1.1 kernels

I want to confirm this problem on my hardware: Around 10% packet loss with packets lost around every 5 seconds (easily observable in e.g. ping's icmp_req counter jumping 5 numbers) in n-Wifi.

Web browsing is also noticeable delayed.

Using 11n_disable fixes it. However, the reduced throughput and channel width are not nice.

I'm running this in a g+n network limited to the 2.4 GHz band.

Can somebody try if we have the same problem in 5-GHz-only wifis?

Doug Bates (1p-tou2-8a) wrote :

#176 - Yes, as per my post #37 last October. I am still having to run 11.04 if I use the built-in Intel N-1000 hardware, (or boot 12.04 with USB Raylink, which works great).

Note the N-1000 works fine on G only routers, but I need N turned on to get coverage around my house.
Sorry I can't fix it - but hope and hope that someone can. 12.04 is brill else.

Robert Maynord (r58eft) wrote :

Doug: Thanks for the comment noting that the USB Raylink works. It might be interesting to know any other USB units that work, as a temporary way for some people to get up and running. In my case, I am purchasing multiple (10-20) units for a school. Some of the Raylink models sell for $6-10.

Doug Bates (coloneldare) wrote :

Robert, my comment above was a bit vague (Raylink make a number of models) so to clarify #178 lsusb reports:

Bus 001 Device 003: ID 148f:2070 Ralink Technology, Corp. RT2070 Wireless Adapter

And on the box: W541U v2.0

Working fine on 12.04 as I write this (but I have to select 'disconnect' my other internal wireless device in the on-screen network notifier else I still get a rubbish connection). Cheers.

Steven Keys (steevven1) wrote :

Follow-up on my own comment, #171: It seems that the problem is improved, but not actually fixed as I had said before. There is a definite improvement though. There are still plenty of networks on which I experience problems and slowness. Rebooting my machine brings back higher speeds for a while, until another reboot may be necessary, only on some netwroks. The WiFi activity light flashes constantly, even when I'm not doing anything. This bug is unreal.

Steven Keys (steevven1) wrote :

Also, can someone link to an amazon.com product page or some place to buy the USB networking adapter that works perfectly? I can't find it based on the information provided so far.

Doug Bates (1p-tou2-8a) wrote :

Steven, the adapter I am using was bought in the 'Value Range' by a UK supplier (CCLOnline.com) but they explicitly state the 'Value' items are not manufacturer specific/may change.

I did find on ebay 'Tenda Mini 54m Wireless USB Adapter W541U V2.0' which looks about right.

Doug Bates (coloneldare) wrote :

Playing around based on #173 I changed my hub from WEP (64bit) to WPA/WPA2 (PSK) and it works - IT WORKS, IT WORKS!!!!

So we are left with

11.04: WEP (64 bit key) = Good, WPA/2 = Good
12.04: WEP (64 bit key) = V Bad (worse than dial-up speeds), WPA/2 = Good (flat-line 9Mb/s, as per my ADSL limit)

Obviously I haven't fixed the underlying bug, but I hope this pointer helps developers and offers a useful work-around for some.

ps 12.04 = Good. Me happy. Thank you.

Joey Stanford (joey) wrote :

Hi,

"me too"

IBM Thinkpad X201i

When I disable 802.11n I am able to connect and surf. When N is enabled I can associate with the AP but I have no DNS resolution.

Joey

Søren Holm (sgh) wrote :

I just found out that setting my acces-point to WPA-PSK makes stuff work.

Paulo J. S. Silva (pjssilva) wrote :

For people seeing better behavior after changing to WPA-PSK.

I was having the same problem in my system in the wating room of my son's therapyst (which we visit twice a week). The router is configured to use WEP and the connection would drop almost immediately. For obvious reasons I can not change the router configuration (even though I should take the time to explain to them how insecure is WEP).

I found out searching for possile solutions on the net that adding the option "ipv6.disable=1" to my boot line works. Give it a try.

this bug is so old, why is there still no patch?

b. (eskararriba) wrote :

thinkpad e420s with intel centrino n-1000: seems that the same problem persists with 12.04; what's weird though is that I had fixed this on 11.10 disabling N-connections, and while I was able to do the same with 12.04, every time I reboot the connection turns terribly slow again. change to WPA is not a very comfortable option, as I use different networks. D'accord with #188: WHY is there still no patch!

nh2 (nh2) wrote :

Ubuntu people can't write the patch for you - report upstream at Intel (see the "auto-bugzilla.intellinuxwireless.org #2315" link above, there are only 3 people CC'd in their bugzilla compared to 140 here).

b. (eskararriba) wrote :

ok, did this. anyways, in 11.10 it was possible to unable n-connnection by
echo "options iwlagn 11n_disable=1" | sudo tee /etc/modprobe.d/iwlagn.conf
with 12.04, I have to enter this command every time I restart. don't know if this belongs in a bugreport, though.

Changing from 11.10 to 12.04, I've had success in regaining wireless speed
by changing
"options iwlagn 11n_disable=1"
to
"options iwlwifi 11n_disable=1"

Best,
DW

On 27 April 2012 20:33, b. <email address hidden> wrote:

> "options iwlagn 11n_disable=1"

bailey86 (kbailey) wrote :

Can confirm behaviour and work-around.

HP Elitebook 2540p.
Xubuntu 12.04 installed.
Using the iwlwifi module.
Connection with a Netgear wireless access point running b/g absolutely fine
Connection to a WHR-G300N router has intermittent pings - and websites etc load slowly.

Running:
# rmmod iwlwifi
# modprobe iwlwifi 11n_disable=1

Gets things back to much more normal - although I feel the network speed is still not 100%.

arsenix (arsenix) wrote :

I can confirm this bug still manifests in Precise identially as it did in 11.10. Is there any hope of using 802.11n under ubuntu? I make do using my old 802.11g router and many others are up and running by disabling 802.11n but this is really just a bandaid for what seems to be a larger issue.

On 04/05/12 03:46, arsenix wrote:
> .....Is there any hope of using 802.11n under ubuntu? I make do
> using my old 802.11g router .....

I do, having having switched my 'n' router from WEP to WPA encryption -
now works fine all round my house ( 'g' works too but doesn't have the
range to reach all the dark corners).

This bug has been known about since last August and has persisted through two releases. Is it ever going to be fixed or just ignored?

Thinkpad X200 dual booting Win 7/Mint 12 and now Ubuntu 12.04. Wireless unusable under Linux unless I set my router to no encryption in which case it works fine. Obviously not a solution. I have even went as far as changing the wireless card using a hacked bios, 5300AGN to a 4985AGN, both Intel but with no change.

This needs to be fixed guys!

Titantux (israel-m-dj) wrote :

Hi guys,

Got Ubuntu 12.04 64 bits,

03:00.0 Network controller [0280]: Intel Corporation Centrino Advanced-N 6200 [8086:4239] (rev 35)

3: phy0: Wireless LANE
 Soft blocked: no
 Hard blocked: no

Even when set to disabled the n

  sudo modprobe -r iwlwifi
  sudo modprobe iwlwifi 11n_disable=1

still having:

Tx excessive retries:98 ----> Still growing :(
Invalid misc:173 -----> Still growing :(

Confirmed too, is WEP encryption... :(

Regards,

Confirmed with Ubuntu 12.04 64bit and Intel Centrino Wireless-N 130.
Little hope this bug is going to be fixed...too much time without no interest.

Do you know if the issue occurs also in Fedora 16 64bit? Or in the other distributions with the most updated kernels?
Thanks

nh2 (nh2) wrote :

#200: I see no reason why it shouldn't occur, it's an upstream driver bug.

zeitkunst (zeitkunst) wrote :

Any progress on this bug?

Or, any suggestions on how to downgrade (on Oneiric or Precise) to a Natty kernel, since that doesn't appear to have this bug? The bug makes it impossible to do any work on my campus' wireless networks.

zeitkunst (zeitkunst) wrote :

I can confirm that the latest Natty kernel I was able to find from the Kernel Team PPA (http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.38.8-natty/), along with "options iwlagn 11n_disable=1", has so far solved my wireless problems on Oneiric 64bit with the following Centrino card:

[ 283.518066] iwlagn 0000:02:00.0: Detected Intel(R) Centrino(R) Ultimate-N 6300 AGN, REV=0x74

For good measure, uname -a:

Linux xxxxx 2.6.38-02063808-generic #201106040910 SMP Sat Jun 4 09:13:01 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

If anyone knows a more recent kernel that doesn't have this bug, please let me know. Otherwise, I'm sticking with it; having working wireless is worth it!

Good. I have no problem to connect to my wifi network but to be sailing there are times when it gets really slow, I fall, but my network gets slow and takes too long to connect, I have to give several times a page in Ubuntu 12.04.
http://i.imgur.com/wc2Hz.png

zeitkunst (zeitkunst) wrote :

Unfortunately, my "solution" in comment #203 doesn't work anymore; I now get the dreaded "denied authentication (status 17)" even on the older kernel mentioned in that comment. This happens on both open networks and those using TTLS with PAP authentication.

Is there _any_ known working kernel/module/firmware for this chipset (Centrino 6300)? Older or bleeding edge, I don't care. Not having wireless while on my university campus (because this problem only seems to rear its head when trying to connect to enterprise networks) is not only debilitating from a work point of view, but also embarrassing and professionally problematic. If there is anything to test I'll test it. And while I don't want to disparage the developers working on it, I find it also problematic that so many people are having problems with their wireless (in 2012!) and that this bug still exists.

Paulo J. S. Silva (pjssilva) wrote :

Zeitkunst,

I have a problem with the router of my son's therapist, it uses WEP not PAP. But I managed to solve it by using wicd instead of the network-manager to control the network.

Try

sudo apt-get install wicd

It will install some packages (you don't need to uninstall network-manager). After that disconnect from wirelless network in network-manager, and call wicd. Try to connect with it to you desired network. You'll have to give it the password using the "properties" button.

You may give it a try.

Richard Brown (rgbrown) wrote :

For me wicd also seems to work much better than Network Manager, thanks for the suggestion.

I've now had an N connection running at my university for almost half an hour at speeds between 80 and 120 Mb/s (WPA2 PEAP/MSCHAPV2). Tx excessive retries is, however, in the tens of thousands, but at least the connection is maintaining speed and isn't dropping out (or refusing to connect at all) which is what happens under Network Manager.

I had almost resigned myself to using Win 7 exclusively on my laptop for this reason - maybe now I don't have to!

Lenovo X220T, Intel Advanced-N 6205, Ubuntu 12.04 (64 bit)

Caspar Adriani (thecas) wrote :

I can confirm that Fedora 16 since the 3.3 kernels also affect this bug. I switched to Fedora because it seemed to be uneffected. I am working on a Lenovo X220.
Is there a way to downgrade only the kernel in Ubuntu as workaround?

Steven Keys (steevven1) wrote :

Is there anything happening with this bug? I've been suffering with insanely slow WiFi speeds on my ThinkPad X220 for many months now, and I feel as though no progress is being made here. I don't have the skills to fix the bug, but I'm here for testing. To be honest, I'd even pay money to see this bug fixed if it could be done quickly. This but does not just affect "N" networking, but also "G," and so it affects virtually all WiFi connections I use.

Greg F (gfreeau) wrote :

I'm using a thinkpad t410s, I've noticed an improvement by turning power management off:

/sbin/iwconfig wlan0 power off

If this works for you, put it in a file in /etc/pm/power.d to make it permanent.

Disabling wireless n also works, but I have had a stable connection using wireless n with power management off (Intel 6300 card).

Ari (ari-reads) wrote :

I "upgraded" my HTPC with the top of the line centrino module...

Intel Corporation Centrino Advanced-N 6300

I was using 11.04 and seemed to work fine. Then I had the bad idea to update to the latest ubuntu LTS 12.04.

only to find out that wifi works really poorly, much worst than the cheap mini-pci module I was using before.

After sending 450 pings, this is what I get:

     Tx excessive retries:2970 Invalid misc:10 Missed beacon:0

on a somewhat decent connection:

          Mode:Managed Frequency:5.18 GHz Access Point: xxxxxxx
          Bit Rate=243 Mb/s Tx-Power=15 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=50/70 Signal level=-60 dBm

I don't use network-manager in my setup (nor any desktop environment). I do use WPA2.

as it doesn't look like anybody is actually working on this issue I'd rather change the chipset.

Is there any other mini-PCI module, wireless-n Dual Band, non-Intel, that is known to work properly?

I am also having the problem described here. I'm using an up-to-date ubuntu 12.04, on a lenovo u300s, with Intel Centrino Wireless-N 1030 (rev 34).

I hope someone could help, this is driving me crazy. Thanks.

Ari (ari-reads) wrote :

I gave up on centrino and bought an atheros PCI express module.

SparkLAN 11abgn Atheros AR9382 half size minicard (WPEA-121N)

$35 bucks or so. This module is 2x2MIMO dual band, equivalent to centrino 6200 (methinks), not 3x3.

Worked out of the box in ubuntu 12.04.

2028 packets transmitted, 2023 received, 0% packet loss, time 2050218ms
rtt min/avg/max/mdev = 8.783/11.040/186.043/6.525 ms
xbmc@htpc:~$ iwconfig
wlan2 IEEE 802.11abgn ESSID:""
          Mode:Managed Frequency:5.18 GHz Access Point:
          Bit Rate=300 Mb/s Tx-Power=17 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Power Management:off
          Link Quality=55/70 Signal level=-55 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:3 Invalid misc:8 Missed beacon:0

Better reception, better Tx power, higher speed (all under the exact same conditions), zero packet loss after thousands of pings, negligible number of Tx retries.

Now I am wondering why I bought (and paid more) for intel centrino 6300 in the first place. Atheros seems way better, costs less, and the open source driver has a pretty good reputation (I remember using a very solid madwifi driver a very very long time ago).

Moritz Heiber (moritz-heiber) wrote :

An unfortunate warning to all Thinkpad owners: Lenovo is whitelisting all of its radio components (supposedly due to FCC regulatory demand), meaning your cannot switch you "old" Intel wireless adapter that easily without getting a dreaded BIOS error telling you to check on the card (i.e. the system locks up and doesn't boot anymore). The only way around this are BIOS hacks to either disable whitelisting completely or enable each individual card's signature.

All in all, for a regular Thinkpad user, exchanging the radio component isn't an option. You have been warned.

PS: All the more reason to give Intel shit about this bug still not being fixed..

Nikita Koval (nikodll) wrote :

The same issue for me, on Thinkpad x220t, Centrino Ultimate-N 6300. Kernels 3.3-3.4

Turbo (axelhc) wrote :

Hi,

At first, I wasn't sure when started reading this -very long- post.

My daughter's laptop is a Samsung with (also) an Intel Centrino-N 130 wireless card. All this paired with Ubuntu 12.04 x64 full patched several minutes ago. The wireless conection is failing frequently even when she is at less than 5 meters away from the router. Also don't know what to do; Windows is a no go xD ;-)

Regards

Have you tried the solutions I report here:

   -
   http://cikitsa.blogspot.co.at/2012/03/t500ubuntu-1110-slow-wifi-network.html

On 14 June 2012 06:11, Turbo <email address hidden> wrote:

> Hi,
>
> At first, I wasn't sure when started reading this -very long- post.
>
> My daughter's laptop is a Samsung with (also) an Intel Centrino-N 130
> wireless card. All this paired with Ubuntu 12.04 x64 full patched
> several minutes ago. The wireless conection is failing frequently even
> when she is at less than 5 meters away from the router. Also don't know
> what to do; Windows is a no go xD ;-)
>
> Regards
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/836250
>
> Title:
> [Oneiric] [Regression] Intel Corporation Centrino Ultimate-N 6300 poor
> networking, packet loss and very slow Lenovo X201 and T500 laptops
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/836250/+subscriptions
>

Hi.
I have a Samsung laptop with Intel Centrino-N 130 wireless card. My wireless router is a Netgear WGR614v7. It only supports b/g. So, even if I am connecting to a 'g' network, my connection drops almost every minute and I have to disable and enable wireless connections for it to reconnect.
I have tried the workarounds suggested - /sbin/iwconfig wlan0 power off and "options iwlwifi 11n_disable=1" but both do not work for me.
I have not tried both workarounds together though and will try that today. If that fails too, I think that I give a try with ndiswrapper and windows drivers. My question with ndiswrapper would be, how can I be sure that iwlwifi is not loaded and windows drivers are loaded? Do I blacklist iwlwifi?
Regards,
Aravind

Paulo J. S. Silva (pjssilva) wrote :

Aravind,

I also have problems with some b/g only routers and I have found two related workarounds that have solved my problems with those specific routers. In these cases the problem is with the IPv6 stack, so the solution is to turn off IPV6. There are two ways to accomplish this:

1) Goto network manager indicator e select "Edit connections" and in the wireless section select the SSID associated to your router and click "Edit". Look for the IPv6 configuration tab and select the option "Ignore" under "Method". You may need to log out and login again. This will tur off IPv6 for that router only.

2) Turn off IPv6 globally. This seems to be achieved with the option "ipv6.disable=1" in the boot parameters.

It may help you.

Aravind Cadambi (acadambi) wrote :

The power management and wireless-n disable changes did not help. Disabling IPv6 seems to have helped. I have still disabled power management and wireless-n though.
Thanks pjssilva.

Aravind Cadambi (acadambi) wrote :

I would like to add that I have a Lenovo laptop with an Intel Centrino Wireless N (forget the model number) running Ubuntu 12.04 amd64 as well and that laptop does not experience any of the issues that my Samsung laptop faces. This makes me think that the issue might not be just a driver issue alone as this uses the iwlwifi driver as well. It probably is a combination of driver + model.
--
Aravind

Richard Brown (rgbrown) wrote :

@Paulo, thanks for the suggestion to disable ipv6 in the kernel boot line. I couldn't connect to the router I'm currently on (at my university), but since disabling ipv6 I now can. I also have 11n disabled. The connection seems to occasionally drop, but picks straight back up again. And I no longer have tens of thousands of invalid misc in the iwconfig line. Has anyone else had success with disabling ipv6?

Intel 6205, Lenovo x220t.

Developer (lunixhacker) wrote :

I am glad to tell you to see the issue fixed (at least my version of the problem, which concerns to an encrypted wpa2 network on an Corporation Centrino Ultimate-N 6300) on Opensuse 12.2 beta 2. with kernel 3.4.2

output of uname -a:

Linux linux-84uj.site 3.4.2-1-desktop #1 SMP PREEMPT Thu Jun 14 17:07:01 UTC 2012 (a3aa67c) x86_64 x86_64 x86_64 GNU/Linux

The last kernels which worked for me were 2.x (without any fix) 3.0.x and 3.1x (with the 11n_disable=1 option).
I am very happy everything works on my machine. I hope the same for you!
Maybe someone could be so kind to test the named kernel or the opensuse iso and report back if it also solves the problem for you?

Kind regards

Joe Eichholz (bx09-joe) on 2012-07-25
description: updated
Joe Eichholz (bx09-joe) wrote :

On my machine, I seem to have temporarily stopped this problem, although by the lack of activity on this thread
it may be that in more recent kernels the problem is already fixed.

lspci shows my wireless card as

03:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 35)

I am running Fedora 15 with kernel 2.6.43.8-1.

First I downloaded the most recent firmware (9.221.4 ) for the wireless card from here:
http://intellinuxwireless.org/?n=downloads&f=ucodes_6000

I unziped and untared the file and put the ucode in /lib/firmware.

Then unload the kernel module

rmmod iwlwifi

and reinsert the module with bt_coex_active=0.

modprobe iwlwifi bt_coex_active=0

For me, this lets me connect reliably(well, all morning) to a WPA2 network, which I couldn't do before.
It connects at good wireless N bitrates, and seems stable. However, there are still large
numbers of Tx excessive retries.

Hope this works for someone else.

Ben Howard (utlemming) wrote :

Re Comment: #225:

Ubuntu has the latest firmware versions in the Precise kernel. However, I can confirm that the bt_coex_active fix works for me -- at N speeds with out having to disable N

Eugene (eugene-tarasov) wrote :

The bt_coex_active fix not fixing this bug - N speeds persists, but IP is jittering over 800ms - this incompatible whith any real-time protocols.

Andy Freeland (rouge8) wrote :

My connection no longer constantly drops on a Thinkpad T410 with Intel Corporation Centrino Ultimate-N 6300 (rev 35) wireless running mainline kernel 3.5.0-030500rc6-generic.

Before running this kernel version, I could not connect to any of the local networks (all wireless g), but now the connection seems fine.

Bruce Durling (bld-otfrom) wrote :

I'm having the same problem on a Lenovo x201 on a new install of 12.04 today. Previous 11.10 version had the same problem.

Bruce Durling (bld-otfrom) wrote :

Using options iwlwifi 11n_disable=1 to turn off n networking hasn't worked. It has successfully turned off n (leaving abg), but I still get the deep sleep problem. I'll try turning off IPv6. I've also ordered the following USB adaptor: Edimax EW-7811UN Wireless 802.11b/g/n 150Mbps Nano USB Adaptor which people seem to be using successfully with RaspberryPI.

Bruce Durling (bld-otfrom) wrote :

Turning of ipv6 has worked (for at least the last 24 hours or so)

Karl Frisk (karl-frisk) wrote :

This bug affects my laptop with Centrino Ultimate-N 6300 as well.

I think I have tried all the workarounds in this thread but the only thing that helped was turning on the swcrypto parameter. My /etc/modprobe.d/iwlwifi.conf now looks like this:

options iwlwifi 11n_disable=1 led_mode=1 swcrypto=1

And I can use wifi without problems. However, the fact that n-networks can not be used remains annoying.

nh2 (nh2) wrote :

In the Intel bug linked above (http://bugzilla.intellinuxwireless.org/show_bug.cgi?id=2315) they posted two new patches about hardware bugs that seem to have gone into the mainline Linux git yesterday.

Compile and try, anyone?

@zeitkunst
You are not alone in your frustration with university networks. Follow the advice above and try wicd. It might work better for you (which I don't understand, because in the end, wicd and network-manager are based on the same tools).

Karl Frisk (karl-frisk) wrote :

nh2, these commits have been merged to mainline for kernel version 3.4.3 (posted to mainline ppa on june 17). I think they have also been merged to the 3.2 branch.

Unfortunately they did not help with this bug.

nh2 (nh2) wrote :

@Karl Frisk: Oh, then cgit tricked me somehow, I thought they were just merged yesterday. Sorry for the false alarm.

security vulnerability: no → yes
security vulnerability: yes → no
Developer (lunixhacker) wrote :

For me wireless is working again on 12.10, but I noticed the speed was only about 12MB/s compared to 54MB/s on Windows 7. So i tried iwlagn 11n_disable=1 and it solved the problem, now I have the same speeds as on Windows 7.
What are the disadvantages of iwlagn 11n_disable=1?

nh2 (nh2) wrote :

What are the disadvantages of iwlagn 11n_disable=1?

11n should theoretically give you higher throughput and interference.

Tim Gardner (timg-tpi) on 2012-08-20
Changed in linux (Ubuntu):
assignee: Tim Gardner (timg-tpi) → nobody
Changed in linux (Ubuntu Oneiric):
assignee: Tim Gardner (timg-tpi) → nobody
Steven Keys (steevven1) wrote :

I see that the "assignee" has been changed to "nobody," and the activity on this bug has died down. Is there no hope of this ever getting fixed? My wifi is unacceptably bad on a majority of routers, especially (but not only) public hotspots. Would it help if I put a $20 bounty on the implemented solution to this bug? :-p

DDC (coquet) wrote :

I went back and did some testing on 3.2.0-30-generic and 3.4.0-030400-generic from the mainline PPA (both AMD64) and my results are the same as I mentioned in #158. With the Linksys e3000, I get very good performance and with the Buffalo WZR-HP-G300NH router, I get unusable performance.

Both routers were operating in mixed bgn with mixed WPA/WPA2.

Georg (georgsorst) wrote :

Just reporting that I have also had huge problems with the stability of my Wi-Fi connection. The following fixed this so far:

sudo modprobe iwlwifi bt_coex_active=0 swcrypto=1

I am still getting excessive amounts of Tx excessive retries, but my connection is fast and stable.

My environment:

Ubuntu: Precise
Kernel: 3.2.0-31
Laptop: Dell Vostro 3460
Wi-FI: Intel Corporation Centrino Wireless-N 2230 (rev c4)

Thanks for all the hints!

Ryan Reich (ryan-reich) wrote :

I am not using Ubuntu but I suffer this problem with my Asus Zenbook Prime (wireless is Intel Centrino Advanced-N 6235 (rev 24)). In short, either of the following two actions fix the network slowness.

1. Disable 11n capability via `modprobe iwlwifi 11n_disable=1` or the kernel boot option `iwlwifi.11n_disable=1`, depending on whether iwlwifi is a module or not. Everything else works great but you have to use 11g.

2. Disable power management via `iwconfig wlan0 power off` or the appropriate setting in a power management tool, laptop-mode tools, etc. With this option there are still many Tx excessive retries but 11n works otherwise.

Ryan Reich (ryan-reich) wrote :

In response to Georg's above comment, I also tested the options he gives; neither bt_coex_active=0 nor sw_ctypto=1 does anything to help the slow connection. However, `iwconfig wlan0 power off/on` is effectively a "work/don't work" switch for 11n capability.

tags: removed: kernel-da-key

Dave Russell, and only Dave Russell, could you please execute the following in a terminal:
apport-collect 836250

Changed in linux (Ubuntu):
status: Triaged → Incomplete
summary: - [Oneiric] [Regression] Intel Corporation Centrino Ultimate-N 6300 poor
- networking, packet loss and very slow Lenovo X201 and T500 laptops
+ 8086:4238 [Oneiric] [Regression] Intel Corporation Centrino Ultimate-N
+ 6300 poor networking, packet loss and very slow Lenovo X201 and T500
+ laptops

Seem to have the same problem with Centrino 1030N.

Previously on 12.04, disabling N worked. Then somewhere along the line the network became bad again.
I upgraded to 12.10, but the problem remains, nor do the solutions above help.

Janne Kronbäck, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

arsenix (arsenix) wrote :

Another thing I have noticed. The ping times to the router on the HP Elitebook are consistently 3ms when running quantal. The "working" test configurations (HP Elitebook/Lucid,HP Elitebook/Windows7,Thinkpad T61p/Quantal) all show consistently under 1ms. This is when the connection is working stably, after a time when the connection starts degrading (tx fifo queu failure messages), ping times start to go up considerably and become highly erratic. Ping is a limited test tool but this is curious.

Moritz Heiber (moritz-heiber) wrote :

There finally seems to have been a patch posted at the Intel bugtracker fixing this particular bug. Could somebody please take a look at it and, if necessary, update the packages accordingly?

This has been going on for ages it feels like.

Maximilian Federle (ppd) wrote :

I applied the above mentioned patch to rarings 3.8.0-1 and rebuilt. Unfortunately I still need 11n_disable for a limited but usable connection.

nh2 (nh2) wrote :

The Intel wifi bugzilla is down (DNS record gone). Response from Intel:

"The bugzilla has been disabled, we're working to see if we can track things elsewhere, but it's not clear yet where we could."

I will attach the patch that was posted there, and also a "backported" version of the patch for the 12.04 kernel (3.2).

nh2 (nh2) wrote :
nh2 (nh2) wrote :
nh2 (nh2) wrote :

Test (patch attachments don't seem to work for me currently?)

nh2 (nh2) wrote :

And here we have the adjusted patch for Ubuntu 12.04.

It works very well for me so far, connectivity "feels" way better.

I currently still use "options iwlwifi 11n_disable=1" and haven't tried how it is now with n mode enabled.

Tim Flubshi (flubshi) wrote :

Will this patch be a part of one of the next kernel (3.8 or 3.9)?

nh2 (nh2) wrote :

With the bugtracker being down, I have no clue.

I suggest that at least success/failure reports shall go here in the meantime so that we can give then Intel developers some feedback once we can talk to them again.

Marco (marco89-7) wrote :

I think I have the same problem on a Dell XPS 13 (Centrino Advanced-N 6235). On 12.04 with kernel 3.2, after some activity the connection drops and I have to reboot. I tried some iwlwifi kernel module options (11n_disable=1, swcrypto=1, bt_coex_active=0) and turning off power managment (iwconfig wlan0 power off), but nothing works, eventually after some time the connection drops.
I have done a fresh install of 13.04 with last daily image, and with the 3.8.0-13.23 kernel the problem is still there. Again, none of the iwlwifi module options solves the problem.
Any news on when the patch will be applied to kernel packages?

Marco (marco89-7) wrote :

I tried to apply the Intel patch to last ubuntu 13.04 kernel, but it seems to me that in linux 3.8.0-13.23 package this patch is already include. If I am correct, then this patch does not solve the bug for me. Maybe I have a different bug.

2xyo (2xyo) wrote :

Stll visible on :

$ lspci|grep Network
03:00.0 Network controller: Intel Corporation Centrino Advanced-N 6235 (rev 24)

$ lsb_release -r
Release: 13.04

$ uname -a
Linux yoyo-laptop 3.8.0-16-generic #26-Ubuntu SMP Mon Apr 1 19:52:57 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

$ sudo dmidecode | grep -e Version -e ASUS |head -n 2
 Version: UX32VD.211
 Manufacturer: ASUSTeK COMPUTER INC.

tags: added: raring

I'm seeing a very similar-looking intermittent packet loss issue on Precise, with this same wireless interface (Centrino Ultimate-N 6300 [8086:4238] on a Thinkpad X201). I get the error message "ping: sendmsg: No buffer space available" when attempting to ping. Asked at: http://askubuntu.com/questions/210451/what-does-ping-sendmsg-no-buffer-space-available-mean

Is this the same bug?

intellinuxwireless is dead

Changed in linux:
importance: Medium → Undecided
status: In Progress → New
dino99 (9d9) on 2013-05-18
Changed in linux (Ubuntu Oneiric):
status: Triaged → Invalid
tags: removed: oneiric
dino99 (9d9) wrote :

Can someone affected resume the actual situation with the recent upstream kernels (3.8 / 3.9 / 3.10)

tags: removed: kernel-bug-exists-upstream
Changed in linux (Ubuntu Precise):
status: Triaged → Incomplete
Anssi Saari (9-as) wrote :

I'm not Ubuntu user but on Sabayon Linux, Thinkpad X201, Centrino 6300, kernel 3.10.0 I don't think this is fixed. Quite simply there are long pauses in network activity which makes interactive use a pain and downloads slow.

For example, some ping statistics of my base station just a few feet away:

30 packets transmitted, 18 received, 40% packet loss, time 29025ms
rtt min/avg/max/mdev = 3.105/14.805/195.911/43.949 ms

Average download speeds vary between 2-3 MB/s so not great. This with 100 Mbps downstream and the other end can saturate that easy if using ethernet reaching about 11MB/s. My ancient Toshiba Portege R500 also maxes that out with wireless...

Power saving on the wireless adapter don't seem to make much difference.

dino99 (9d9) on 2013-07-17
summary: - 8086:4238 [Oneiric] [Regression] Intel Corporation Centrino Ultimate-N
- 6300 poor networking, packet loss and very slow Lenovo X201 and T500
- laptops
+ Intel Centrino Ultimate-N 6300 poor networking, packet loss and very
+ slow Lenovo X201 and T500 laptops
tags: added: precise saucy
summary: - Intel Centrino Ultimate-N 6300 poor networking, packet loss and very
- slow Lenovo X201 and T500 laptops
+ 8086:4238 Intel Centrino Ultimate-N 6300 poor networking, packet loss
+ and very slow Lenovo X201 and T500 laptops
ian (ian6) wrote :

This is still an issue with recent kernels. I tested Quantal and one of the Saucy dailies (3.10) on my laptop with an Intel 6205 card, both had about half the throughput (~50Mb/s vs ~100Mb/s) that it gets under Windows, occasional stalls (that don't happen under Windows), and huge "tx excessive retries" numbers when, say, wgetting from kernel.org.

Ben Hilburn (bhilburn) wrote :

I am running an up-to-date Ubuntu 13.04, and seeing this problem on my Lenovo T430s. Many of my coworkers have this same laptop, and we are all experiencing serious problems.

The card:

03:00.0 Network controller: Intel Corporation Centrino Ultimate-N 6300 (rev 3e)
 Subsystem: Intel Corporation Centrino Ultimate-N 6300 3x3 AGN

You can see the excessive retries bit here:

wlan0 IEEE 802.11abgn ESSID:"NI"
          Mode:Managed Frequency:2.462 GHz Access Point: CC:D5:39:BB:73:D0
          Bit Rate=65 Mb/s Tx-Power=15 dBm
          Retry long limit:7 RTS thr:off Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality=46/70 Signal level=-64 dBm
          Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
          Tx excessive retries:2432 Invalid misc:96 Missed beacon:0

Kernel:

          Linux 3.8.0-27-generic #40-Ubuntu SMP Tue Jul 9 00:17:05 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Disappointing that this has been a bug for ~2 years - it's fairly serious.

Ben Hilburn (bhilburn) on 2013-08-21
summary: - 8086:4238 Intel Centrino Ultimate-N 6300 poor networking, packet loss
- and very slow Lenovo X201 and T500 laptops
+ Intel Centrino Ultimate-N 6300 poor networking, packet loss, and very
+ slow performance on Lenovo Laptops
summary: - Intel Centrino Ultimate-N 6300 poor networking, packet loss, and very
- slow performance on Lenovo Laptops
+ 8086:4238 Intel Centrino Ultimate-N 6300 poor networking, packet loss
+ and very slow Lenovo X201 and T500 laptops
Dave Russell (drussell) on 2013-08-23
Changed in linux (Ubuntu Oneiric):
status: Invalid → Confirmed
dino99 (9d9) wrote :

hello Dave,

Oneiric have reached End of Life a while back; so it wont get fix now.

and post the output requested at #243 above please.

Still needs confirmation of that issue with a fresh recent ubuntu install (from scratch to avoid oldish settings/configs disturbing the system)

Changed in linux (Ubuntu Oneiric):
status: Confirmed → Invalid

Having the same issue in Precise with Intel Corporation Centrino Advanced-N 6205 (rev 34).

B/G are fine. N works really well at first then plummets in speed to less than 1 Mb/s and becomes unusable. Rebooting the router causes it to work again (really fast), then it plummets again.

Using the iwlwifi 11n_disable=1 is the only way I can work wirelessly with my router.

David G. Johnson, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies
Ubuntu Community: https://wiki.ubuntu.com/ReportingBugs

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. If you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

dino99 (9d9) wrote :

@David

Please glance at lp:1201470 which seems close to your issue, and got fixed with the latest 3.11.0-3.8 kernel.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.